"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataSync = void 0;
const CancelTaskExecutionCommand_1 = require("./commands/CancelTaskExecutionCommand");
const CreateAgentCommand_1 = require("./commands/CreateAgentCommand");
const CreateLocationEfsCommand_1 = require("./commands/CreateLocationEfsCommand");
const CreateLocationFsxLustreCommand_1 = require("./commands/CreateLocationFsxLustreCommand");
const CreateLocationFsxOpenZfsCommand_1 = require("./commands/CreateLocationFsxOpenZfsCommand");
const CreateLocationFsxWindowsCommand_1 = require("./commands/CreateLocationFsxWindowsCommand");
const CreateLocationHdfsCommand_1 = require("./commands/CreateLocationHdfsCommand");
const CreateLocationNfsCommand_1 = require("./commands/CreateLocationNfsCommand");
const CreateLocationObjectStorageCommand_1 = require("./commands/CreateLocationObjectStorageCommand");
const CreateLocationS3Command_1 = require("./commands/CreateLocationS3Command");
const CreateLocationSmbCommand_1 = require("./commands/CreateLocationSmbCommand");
const CreateTaskCommand_1 = require("./commands/CreateTaskCommand");
const DeleteAgentCommand_1 = require("./commands/DeleteAgentCommand");
const DeleteLocationCommand_1 = require("./commands/DeleteLocationCommand");
const DeleteTaskCommand_1 = require("./commands/DeleteTaskCommand");
const DescribeAgentCommand_1 = require("./commands/DescribeAgentCommand");
const DescribeLocationEfsCommand_1 = require("./commands/DescribeLocationEfsCommand");
const DescribeLocationFsxLustreCommand_1 = require("./commands/DescribeLocationFsxLustreCommand");
const DescribeLocationFsxOpenZfsCommand_1 = require("./commands/DescribeLocationFsxOpenZfsCommand");
const DescribeLocationFsxWindowsCommand_1 = require("./commands/DescribeLocationFsxWindowsCommand");
const DescribeLocationHdfsCommand_1 = require("./commands/DescribeLocationHdfsCommand");
const DescribeLocationNfsCommand_1 = require("./commands/DescribeLocationNfsCommand");
const DescribeLocationObjectStorageCommand_1 = require("./commands/DescribeLocationObjectStorageCommand");
const DescribeLocationS3Command_1 = require("./commands/DescribeLocationS3Command");
const DescribeLocationSmbCommand_1 = require("./commands/DescribeLocationSmbCommand");
const DescribeTaskCommand_1 = require("./commands/DescribeTaskCommand");
const DescribeTaskExecutionCommand_1 = require("./commands/DescribeTaskExecutionCommand");
const ListAgentsCommand_1 = require("./commands/ListAgentsCommand");
const ListLocationsCommand_1 = require("./commands/ListLocationsCommand");
const ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
const ListTaskExecutionsCommand_1 = require("./commands/ListTaskExecutionsCommand");
const ListTasksCommand_1 = require("./commands/ListTasksCommand");
const StartTaskExecutionCommand_1 = require("./commands/StartTaskExecutionCommand");
const TagResourceCommand_1 = require("./commands/TagResourceCommand");
const UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
const UpdateAgentCommand_1 = require("./commands/UpdateAgentCommand");
const UpdateLocationHdfsCommand_1 = require("./commands/UpdateLocationHdfsCommand");
const UpdateLocationNfsCommand_1 = require("./commands/UpdateLocationNfsCommand");
const UpdateLocationObjectStorageCommand_1 = require("./commands/UpdateLocationObjectStorageCommand");
const UpdateLocationSmbCommand_1 = require("./commands/UpdateLocationSmbCommand");
const UpdateTaskCommand_1 = require("./commands/UpdateTaskCommand");
const UpdateTaskExecutionCommand_1 = require("./commands/UpdateTaskExecutionCommand");
const DataSyncClient_1 = require("./DataSyncClient");
class DataSync extends DataSyncClient_1.DataSyncClient {
    cancelTaskExecution(args, optionsOrCb, cb) {
        const command = new CancelTaskExecutionCommand_1.CancelTaskExecutionCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    createAgent(args, optionsOrCb, cb) {
        const command = new CreateAgentCommand_1.CreateAgentCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    createLocationEfs(args, optionsOrCb, cb) {
        const command = new CreateLocationEfsCommand_1.CreateLocationEfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    createLocationFsxLustre(args, optionsOrCb, cb) {
        const command = new CreateLocationFsxLustreCommand_1.CreateLocationFsxLustreCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    createLocationFsxOpenZfs(args, optionsOrCb, cb) {
        const command = new CreateLocationFsxOpenZfsCommand_1.CreateLocationFsxOpenZfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    createLocationFsxWindows(args, optionsOrCb, cb) {
        const command = new CreateLocationFsxWindowsCommand_1.CreateLocationFsxWindowsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    createLocationHdfs(args, optionsOrCb, cb) {
        const command = new CreateLocationHdfsCommand_1.CreateLocationHdfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    createLocationNfs(args, optionsOrCb, cb) {
        const command = new CreateLocationNfsCommand_1.CreateLocationNfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    createLocationObjectStorage(args, optionsOrCb, cb) {
        const command = new CreateLocationObjectStorageCommand_1.CreateLocationObjectStorageCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    createLocationS3(args, optionsOrCb, cb) {
        const command = new CreateLocationS3Command_1.CreateLocationS3Command(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    createLocationSmb(args, optionsOrCb, cb) {
        const command = new CreateLocationSmbCommand_1.CreateLocationSmbCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    createTask(args, optionsOrCb, cb) {
        const command = new CreateTaskCommand_1.CreateTaskCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    deleteAgent(args, optionsOrCb, cb) {
        const command = new DeleteAgentCommand_1.DeleteAgentCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    deleteLocation(args, optionsOrCb, cb) {
        const command = new DeleteLocationCommand_1.DeleteLocationCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    deleteTask(args, optionsOrCb, cb) {
        const command = new DeleteTaskCommand_1.DeleteTaskCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeAgent(args, optionsOrCb, cb) {
        const command = new DescribeAgentCommand_1.DescribeAgentCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeLocationEfs(args, optionsOrCb, cb) {
        const command = new DescribeLocationEfsCommand_1.DescribeLocationEfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeLocationFsxLustre(args, optionsOrCb, cb) {
        const command = new DescribeLocationFsxLustreCommand_1.DescribeLocationFsxLustreCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeLocationFsxOpenZfs(args, optionsOrCb, cb) {
        const command = new DescribeLocationFsxOpenZfsCommand_1.DescribeLocationFsxOpenZfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeLocationFsxWindows(args, optionsOrCb, cb) {
        const command = new DescribeLocationFsxWindowsCommand_1.DescribeLocationFsxWindowsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeLocationHdfs(args, optionsOrCb, cb) {
        const command = new DescribeLocationHdfsCommand_1.DescribeLocationHdfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeLocationNfs(args, optionsOrCb, cb) {
        const command = new DescribeLocationNfsCommand_1.DescribeLocationNfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeLocationObjectStorage(args, optionsOrCb, cb) {
        const command = new DescribeLocationObjectStorageCommand_1.DescribeLocationObjectStorageCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeLocationS3(args, optionsOrCb, cb) {
        const command = new DescribeLocationS3Command_1.DescribeLocationS3Command(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeLocationSmb(args, optionsOrCb, cb) {
        const command = new DescribeLocationSmbCommand_1.DescribeLocationSmbCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeTask(args, optionsOrCb, cb) {
        const command = new DescribeTaskCommand_1.DescribeTaskCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    describeTaskExecution(args, optionsOrCb, cb) {
        const command = new DescribeTaskExecutionCommand_1.DescribeTaskExecutionCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    listAgents(args, optionsOrCb, cb) {
        const command = new ListAgentsCommand_1.ListAgentsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    listLocations(args, optionsOrCb, cb) {
        const command = new ListLocationsCommand_1.ListLocationsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    listTagsForResource(args, optionsOrCb, cb) {
        const command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    listTaskExecutions(args, optionsOrCb, cb) {
        const command = new ListTaskExecutionsCommand_1.ListTaskExecutionsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    listTasks(args, optionsOrCb, cb) {
        const command = new ListTasksCommand_1.ListTasksCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    startTaskExecution(args, optionsOrCb, cb) {
        const command = new StartTaskExecutionCommand_1.StartTaskExecutionCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    tagResource(args, optionsOrCb, cb) {
        const command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    untagResource(args, optionsOrCb, cb) {
        const command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    updateAgent(args, optionsOrCb, cb) {
        const command = new UpdateAgentCommand_1.UpdateAgentCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    updateLocationHdfs(args, optionsOrCb, cb) {
        const command = new UpdateLocationHdfsCommand_1.UpdateLocationHdfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    updateLocationNfs(args, optionsOrCb, cb) {
        const command = new UpdateLocationNfsCommand_1.UpdateLocationNfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    updateLocationObjectStorage(args, optionsOrCb, cb) {
        const command = new UpdateLocationObjectStorageCommand_1.UpdateLocationObjectStorageCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    updateLocationSmb(args, optionsOrCb, cb) {
        const command = new UpdateLocationSmbCommand_1.UpdateLocationSmbCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    updateTask(args, optionsOrCb, cb) {
        const command = new UpdateTaskCommand_1.UpdateTaskCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
    updateTaskExecution(args, optionsOrCb, cb) {
        const command = new UpdateTaskExecutionCommand_1.UpdateTaskExecutionCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error(`Expect http options but get ${typeof optionsOrCb}`);
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    }
}
exports.DataSync = DataSync;
