"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OverwriteMode = exports.Mtime = exports.LogLevel = exports.Gid = exports.FilterRule = exports.FilterType = exports.CreateLocationSmbResponse = exports.CreateLocationSmbRequest = exports.SmbMountOptions = exports.SmbVersion = exports.CreateLocationS3Response = exports.CreateLocationS3Request = exports.S3StorageClass = exports.S3Config = exports.CreateLocationObjectStorageResponse = exports.CreateLocationObjectStorageRequest = exports.ObjectStorageServerProtocol = exports.CreateLocationNfsResponse = exports.CreateLocationNfsRequest = exports.OnPremConfig = exports.CreateLocationHdfsResponse = exports.CreateLocationHdfsRequest = exports.QopConfiguration = exports.HdfsRpcProtection = exports.HdfsDataTransferProtection = exports.HdfsNameNode = exports.HdfsAuthenticationType = exports.CreateLocationFsxWindowsResponse = exports.CreateLocationFsxWindowsRequest = exports.CreateLocationFsxOpenZfsResponse = exports.CreateLocationFsxOpenZfsRequest = exports.FsxProtocol = exports.FsxProtocolNfs = exports.NfsMountOptions = exports.NfsVersion = exports.CreateLocationFsxLustreResponse = exports.CreateLocationFsxLustreRequest = exports.CreateLocationEfsResponse = exports.CreateLocationEfsRequest = exports.Ec2Config = exports.CreateAgentResponse = exports.CreateAgentRequest = exports.TagListEntry = exports.InvalidRequestException = exports.InternalException = exports.CancelTaskExecutionResponse = exports.CancelTaskExecutionRequest = exports.Atime = exports.AgentListEntry = exports.AgentStatus = void 0;
exports.ListAgentsResponse = exports.ListAgentsRequest = exports.DescribeTaskExecutionResponse = exports.TaskExecutionStatus = exports.TaskExecutionResultDetail = exports.PhaseStatus = exports.DescribeTaskExecutionRequest = exports.DescribeTaskResponse = exports.TaskStatus = exports.DescribeTaskRequest = exports.DescribeLocationSmbResponse = exports.DescribeLocationSmbRequest = exports.DescribeLocationS3Response = exports.DescribeLocationS3Request = exports.DescribeLocationObjectStorageResponse = exports.DescribeLocationObjectStorageRequest = exports.DescribeLocationNfsResponse = exports.DescribeLocationNfsRequest = exports.DescribeLocationHdfsResponse = exports.DescribeLocationHdfsRequest = exports.DescribeLocationFsxWindowsResponse = exports.DescribeLocationFsxWindowsRequest = exports.DescribeLocationFsxOpenZfsResponse = exports.DescribeLocationFsxOpenZfsRequest = exports.DescribeLocationFsxLustreResponse = exports.DescribeLocationFsxLustreRequest = exports.DescribeLocationEfsResponse = exports.DescribeLocationEfsRequest = exports.DescribeAgentResponse = exports.PrivateLinkConfig = exports.EndpointType = exports.DescribeAgentRequest = exports.DeleteTaskResponse = exports.DeleteTaskRequest = exports.DeleteLocationResponse = exports.DeleteLocationRequest = exports.DeleteAgentResponse = exports.DeleteAgentRequest = exports.CreateTaskResponse = exports.CreateTaskRequest = exports.TaskSchedule = exports.Options = exports.VerifyMode = exports.Uid = exports.TransferMode = exports.TaskQueueing = exports.SmbSecurityDescriptorCopyFlags = exports.PreserveDevices = exports.PreserveDeletedFiles = exports.PosixPermissions = void 0;
exports.UpdateTaskExecutionResponse = exports.UpdateTaskExecutionRequest = exports.UpdateTaskResponse = exports.UpdateTaskRequest = exports.UpdateLocationSmbResponse = exports.UpdateLocationSmbRequest = exports.UpdateLocationObjectStorageResponse = exports.UpdateLocationObjectStorageRequest = exports.UpdateLocationNfsResponse = exports.UpdateLocationNfsRequest = exports.UpdateLocationHdfsResponse = exports.UpdateLocationHdfsRequest = exports.UpdateAgentResponse = exports.UpdateAgentRequest = exports.UntagResourceResponse = exports.UntagResourceRequest = exports.TagResourceResponse = exports.TagResourceRequest = exports.StartTaskExecutionResponse = exports.StartTaskExecutionRequest = exports.ListTasksResponse = exports.TaskListEntry = exports.ListTasksRequest = exports.TaskFilter = exports.TaskFilterName = exports.ListTaskExecutionsResponse = exports.TaskExecutionListEntry = exports.ListTaskExecutionsRequest = exports.ListTagsForResourceResponse = exports.ListTagsForResourceRequest = exports.ListLocationsResponse = exports.LocationListEntry = exports.ListLocationsRequest = exports.LocationFilter = exports.Operator = exports.LocationFilterName = void 0;
const smithy_client_1 = require("@aws-sdk/smithy-client");
const DataSyncServiceException_1 = require("./DataSyncServiceException");
var AgentStatus;
(function (AgentStatus) {
    AgentStatus["OFFLINE"] = "OFFLINE";
    AgentStatus["ONLINE"] = "ONLINE";
})(AgentStatus = exports.AgentStatus || (exports.AgentStatus = {}));
var AgentListEntry;
(function (AgentListEntry) {
    AgentListEntry.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AgentListEntry = exports.AgentListEntry || (exports.AgentListEntry = {}));
var Atime;
(function (Atime) {
    Atime["BEST_EFFORT"] = "BEST_EFFORT";
    Atime["NONE"] = "NONE";
})(Atime = exports.Atime || (exports.Atime = {}));
var CancelTaskExecutionRequest;
(function (CancelTaskExecutionRequest) {
    CancelTaskExecutionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CancelTaskExecutionRequest = exports.CancelTaskExecutionRequest || (exports.CancelTaskExecutionRequest = {}));
var CancelTaskExecutionResponse;
(function (CancelTaskExecutionResponse) {
    CancelTaskExecutionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CancelTaskExecutionResponse = exports.CancelTaskExecutionResponse || (exports.CancelTaskExecutionResponse = {}));
class InternalException extends DataSyncServiceException_1.DataSyncServiceException {
    constructor(opts) {
        super({
            name: "InternalException",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalException";
        this.$fault = "server";
        Object.setPrototypeOf(this, InternalException.prototype);
        this.errorCode = opts.errorCode;
    }
}
exports.InternalException = InternalException;
class InvalidRequestException extends DataSyncServiceException_1.DataSyncServiceException {
    constructor(opts) {
        super({
            name: "InvalidRequestException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidRequestException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidRequestException.prototype);
        this.errorCode = opts.errorCode;
    }
}
exports.InvalidRequestException = InvalidRequestException;
var TagListEntry;
(function (TagListEntry) {
    TagListEntry.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagListEntry = exports.TagListEntry || (exports.TagListEntry = {}));
var CreateAgentRequest;
(function (CreateAgentRequest) {
    CreateAgentRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateAgentRequest = exports.CreateAgentRequest || (exports.CreateAgentRequest = {}));
var CreateAgentResponse;
(function (CreateAgentResponse) {
    CreateAgentResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateAgentResponse = exports.CreateAgentResponse || (exports.CreateAgentResponse = {}));
var Ec2Config;
(function (Ec2Config) {
    Ec2Config.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Ec2Config = exports.Ec2Config || (exports.Ec2Config = {}));
var CreateLocationEfsRequest;
(function (CreateLocationEfsRequest) {
    CreateLocationEfsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateLocationEfsRequest = exports.CreateLocationEfsRequest || (exports.CreateLocationEfsRequest = {}));
var CreateLocationEfsResponse;
(function (CreateLocationEfsResponse) {
    CreateLocationEfsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateLocationEfsResponse = exports.CreateLocationEfsResponse || (exports.CreateLocationEfsResponse = {}));
var CreateLocationFsxLustreRequest;
(function (CreateLocationFsxLustreRequest) {
    CreateLocationFsxLustreRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateLocationFsxLustreRequest = exports.CreateLocationFsxLustreRequest || (exports.CreateLocationFsxLustreRequest = {}));
var CreateLocationFsxLustreResponse;
(function (CreateLocationFsxLustreResponse) {
    CreateLocationFsxLustreResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateLocationFsxLustreResponse = exports.CreateLocationFsxLustreResponse || (exports.CreateLocationFsxLustreResponse = {}));
var NfsVersion;
(function (NfsVersion) {
    NfsVersion["AUTOMATIC"] = "AUTOMATIC";
    NfsVersion["NFS3"] = "NFS3";
    NfsVersion["NFS4_0"] = "NFS4_0";
    NfsVersion["NFS4_1"] = "NFS4_1";
})(NfsVersion = exports.NfsVersion || (exports.NfsVersion = {}));
var NfsMountOptions;
(function (NfsMountOptions) {
    NfsMountOptions.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(NfsMountOptions = exports.NfsMountOptions || (exports.NfsMountOptions = {}));
var FsxProtocolNfs;
(function (FsxProtocolNfs) {
    FsxProtocolNfs.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FsxProtocolNfs = exports.FsxProtocolNfs || (exports.FsxProtocolNfs = {}));
var FsxProtocol;
(function (FsxProtocol) {
    FsxProtocol.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FsxProtocol = exports.FsxProtocol || (exports.FsxProtocol = {}));
var CreateLocationFsxOpenZfsRequest;
(function (CreateLocationFsxOpenZfsRequest) {
    CreateLocationFsxOpenZfsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateLocationFsxOpenZfsRequest = exports.CreateLocationFsxOpenZfsRequest || (exports.CreateLocationFsxOpenZfsRequest = {}));
var CreateLocationFsxOpenZfsResponse;
(function (CreateLocationFsxOpenZfsResponse) {
    CreateLocationFsxOpenZfsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateLocationFsxOpenZfsResponse = exports.CreateLocationFsxOpenZfsResponse || (exports.CreateLocationFsxOpenZfsResponse = {}));
var CreateLocationFsxWindowsRequest;
(function (CreateLocationFsxWindowsRequest) {
    CreateLocationFsxWindowsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Password && { Password: smithy_client_1.SENSITIVE_STRING }),
    });
})(CreateLocationFsxWindowsRequest = exports.CreateLocationFsxWindowsRequest || (exports.CreateLocationFsxWindowsRequest = {}));
var CreateLocationFsxWindowsResponse;
(function (CreateLocationFsxWindowsResponse) {
    CreateLocationFsxWindowsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateLocationFsxWindowsResponse = exports.CreateLocationFsxWindowsResponse || (exports.CreateLocationFsxWindowsResponse = {}));
var HdfsAuthenticationType;
(function (HdfsAuthenticationType) {
    HdfsAuthenticationType["KERBEROS"] = "KERBEROS";
    HdfsAuthenticationType["SIMPLE"] = "SIMPLE";
})(HdfsAuthenticationType = exports.HdfsAuthenticationType || (exports.HdfsAuthenticationType = {}));
var HdfsNameNode;
(function (HdfsNameNode) {
    HdfsNameNode.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(HdfsNameNode = exports.HdfsNameNode || (exports.HdfsNameNode = {}));
var HdfsDataTransferProtection;
(function (HdfsDataTransferProtection) {
    HdfsDataTransferProtection["AUTHENTICATION"] = "AUTHENTICATION";
    HdfsDataTransferProtection["DISABLED"] = "DISABLED";
    HdfsDataTransferProtection["INTEGRITY"] = "INTEGRITY";
    HdfsDataTransferProtection["PRIVACY"] = "PRIVACY";
})(HdfsDataTransferProtection = exports.HdfsDataTransferProtection || (exports.HdfsDataTransferProtection = {}));
var HdfsRpcProtection;
(function (HdfsRpcProtection) {
    HdfsRpcProtection["AUTHENTICATION"] = "AUTHENTICATION";
    HdfsRpcProtection["DISABLED"] = "DISABLED";
    HdfsRpcProtection["INTEGRITY"] = "INTEGRITY";
    HdfsRpcProtection["PRIVACY"] = "PRIVACY";
})(HdfsRpcProtection = exports.HdfsRpcProtection || (exports.HdfsRpcProtection = {}));
var QopConfiguration;
(function (QopConfiguration) {
    QopConfiguration.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(QopConfiguration = exports.QopConfiguration || (exports.QopConfiguration = {}));
var CreateLocationHdfsRequest;
(function (CreateLocationHdfsRequest) {
    CreateLocationHdfsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateLocationHdfsRequest = exports.CreateLocationHdfsRequest || (exports.CreateLocationHdfsRequest = {}));
var CreateLocationHdfsResponse;
(function (CreateLocationHdfsResponse) {
    CreateLocationHdfsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateLocationHdfsResponse = exports.CreateLocationHdfsResponse || (exports.CreateLocationHdfsResponse = {}));
var OnPremConfig;
(function (OnPremConfig) {
    OnPremConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(OnPremConfig = exports.OnPremConfig || (exports.OnPremConfig = {}));
var CreateLocationNfsRequest;
(function (CreateLocationNfsRequest) {
    CreateLocationNfsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateLocationNfsRequest = exports.CreateLocationNfsRequest || (exports.CreateLocationNfsRequest = {}));
var CreateLocationNfsResponse;
(function (CreateLocationNfsResponse) {
    CreateLocationNfsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateLocationNfsResponse = exports.CreateLocationNfsResponse || (exports.CreateLocationNfsResponse = {}));
var ObjectStorageServerProtocol;
(function (ObjectStorageServerProtocol) {
    ObjectStorageServerProtocol["HTTP"] = "HTTP";
    ObjectStorageServerProtocol["HTTPS"] = "HTTPS";
})(ObjectStorageServerProtocol = exports.ObjectStorageServerProtocol || (exports.ObjectStorageServerProtocol = {}));
var CreateLocationObjectStorageRequest;
(function (CreateLocationObjectStorageRequest) {
    CreateLocationObjectStorageRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.SecretKey && { SecretKey: smithy_client_1.SENSITIVE_STRING }),
    });
})(CreateLocationObjectStorageRequest = exports.CreateLocationObjectStorageRequest || (exports.CreateLocationObjectStorageRequest = {}));
var CreateLocationObjectStorageResponse;
(function (CreateLocationObjectStorageResponse) {
    CreateLocationObjectStorageResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateLocationObjectStorageResponse = exports.CreateLocationObjectStorageResponse || (exports.CreateLocationObjectStorageResponse = {}));
var S3Config;
(function (S3Config) {
    S3Config.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(S3Config = exports.S3Config || (exports.S3Config = {}));
var S3StorageClass;
(function (S3StorageClass) {
    S3StorageClass["DEEP_ARCHIVE"] = "DEEP_ARCHIVE";
    S3StorageClass["GLACIER"] = "GLACIER";
    S3StorageClass["INTELLIGENT_TIERING"] = "INTELLIGENT_TIERING";
    S3StorageClass["ONEZONE_IA"] = "ONEZONE_IA";
    S3StorageClass["OUTPOSTS"] = "OUTPOSTS";
    S3StorageClass["STANDARD"] = "STANDARD";
    S3StorageClass["STANDARD_IA"] = "STANDARD_IA";
})(S3StorageClass = exports.S3StorageClass || (exports.S3StorageClass = {}));
var CreateLocationS3Request;
(function (CreateLocationS3Request) {
    CreateLocationS3Request.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateLocationS3Request = exports.CreateLocationS3Request || (exports.CreateLocationS3Request = {}));
var CreateLocationS3Response;
(function (CreateLocationS3Response) {
    CreateLocationS3Response.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateLocationS3Response = exports.CreateLocationS3Response || (exports.CreateLocationS3Response = {}));
var SmbVersion;
(function (SmbVersion) {
    SmbVersion["AUTOMATIC"] = "AUTOMATIC";
    SmbVersion["SMB2"] = "SMB2";
    SmbVersion["SMB3"] = "SMB3";
})(SmbVersion = exports.SmbVersion || (exports.SmbVersion = {}));
var SmbMountOptions;
(function (SmbMountOptions) {
    SmbMountOptions.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(SmbMountOptions = exports.SmbMountOptions || (exports.SmbMountOptions = {}));
var CreateLocationSmbRequest;
(function (CreateLocationSmbRequest) {
    CreateLocationSmbRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Password && { Password: smithy_client_1.SENSITIVE_STRING }),
    });
})(CreateLocationSmbRequest = exports.CreateLocationSmbRequest || (exports.CreateLocationSmbRequest = {}));
var CreateLocationSmbResponse;
(function (CreateLocationSmbResponse) {
    CreateLocationSmbResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateLocationSmbResponse = exports.CreateLocationSmbResponse || (exports.CreateLocationSmbResponse = {}));
var FilterType;
(function (FilterType) {
    FilterType["SIMPLE_PATTERN"] = "SIMPLE_PATTERN";
})(FilterType = exports.FilterType || (exports.FilterType = {}));
var FilterRule;
(function (FilterRule) {
    FilterRule.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(FilterRule = exports.FilterRule || (exports.FilterRule = {}));
var Gid;
(function (Gid) {
    Gid["BOTH"] = "BOTH";
    Gid["INT_VALUE"] = "INT_VALUE";
    Gid["NAME"] = "NAME";
    Gid["NONE"] = "NONE";
})(Gid = exports.Gid || (exports.Gid = {}));
var LogLevel;
(function (LogLevel) {
    LogLevel["BASIC"] = "BASIC";
    LogLevel["OFF"] = "OFF";
    LogLevel["TRANSFER"] = "TRANSFER";
})(LogLevel = exports.LogLevel || (exports.LogLevel = {}));
var Mtime;
(function (Mtime) {
    Mtime["NONE"] = "NONE";
    Mtime["PRESERVE"] = "PRESERVE";
})(Mtime = exports.Mtime || (exports.Mtime = {}));
var OverwriteMode;
(function (OverwriteMode) {
    OverwriteMode["ALWAYS"] = "ALWAYS";
    OverwriteMode["NEVER"] = "NEVER";
})(OverwriteMode = exports.OverwriteMode || (exports.OverwriteMode = {}));
var PosixPermissions;
(function (PosixPermissions) {
    PosixPermissions["NONE"] = "NONE";
    PosixPermissions["PRESERVE"] = "PRESERVE";
})(PosixPermissions = exports.PosixPermissions || (exports.PosixPermissions = {}));
var PreserveDeletedFiles;
(function (PreserveDeletedFiles) {
    PreserveDeletedFiles["PRESERVE"] = "PRESERVE";
    PreserveDeletedFiles["REMOVE"] = "REMOVE";
})(PreserveDeletedFiles = exports.PreserveDeletedFiles || (exports.PreserveDeletedFiles = {}));
var PreserveDevices;
(function (PreserveDevices) {
    PreserveDevices["NONE"] = "NONE";
    PreserveDevices["PRESERVE"] = "PRESERVE";
})(PreserveDevices = exports.PreserveDevices || (exports.PreserveDevices = {}));
var SmbSecurityDescriptorCopyFlags;
(function (SmbSecurityDescriptorCopyFlags) {
    SmbSecurityDescriptorCopyFlags["NONE"] = "NONE";
    SmbSecurityDescriptorCopyFlags["OWNER_DACL"] = "OWNER_DACL";
    SmbSecurityDescriptorCopyFlags["OWNER_DACL_SACL"] = "OWNER_DACL_SACL";
})(SmbSecurityDescriptorCopyFlags = exports.SmbSecurityDescriptorCopyFlags || (exports.SmbSecurityDescriptorCopyFlags = {}));
var TaskQueueing;
(function (TaskQueueing) {
    TaskQueueing["DISABLED"] = "DISABLED";
    TaskQueueing["ENABLED"] = "ENABLED";
})(TaskQueueing = exports.TaskQueueing || (exports.TaskQueueing = {}));
var TransferMode;
(function (TransferMode) {
    TransferMode["ALL"] = "ALL";
    TransferMode["CHANGED"] = "CHANGED";
})(TransferMode = exports.TransferMode || (exports.TransferMode = {}));
var Uid;
(function (Uid) {
    Uid["BOTH"] = "BOTH";
    Uid["INT_VALUE"] = "INT_VALUE";
    Uid["NAME"] = "NAME";
    Uid["NONE"] = "NONE";
})(Uid = exports.Uid || (exports.Uid = {}));
var VerifyMode;
(function (VerifyMode) {
    VerifyMode["NONE"] = "NONE";
    VerifyMode["ONLY_FILES_TRANSFERRED"] = "ONLY_FILES_TRANSFERRED";
    VerifyMode["POINT_IN_TIME_CONSISTENT"] = "POINT_IN_TIME_CONSISTENT";
})(VerifyMode = exports.VerifyMode || (exports.VerifyMode = {}));
var Options;
(function (Options) {
    Options.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Options = exports.Options || (exports.Options = {}));
var TaskSchedule;
(function (TaskSchedule) {
    TaskSchedule.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TaskSchedule = exports.TaskSchedule || (exports.TaskSchedule = {}));
var CreateTaskRequest;
(function (CreateTaskRequest) {
    CreateTaskRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateTaskRequest = exports.CreateTaskRequest || (exports.CreateTaskRequest = {}));
var CreateTaskResponse;
(function (CreateTaskResponse) {
    CreateTaskResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateTaskResponse = exports.CreateTaskResponse || (exports.CreateTaskResponse = {}));
var DeleteAgentRequest;
(function (DeleteAgentRequest) {
    DeleteAgentRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteAgentRequest = exports.DeleteAgentRequest || (exports.DeleteAgentRequest = {}));
var DeleteAgentResponse;
(function (DeleteAgentResponse) {
    DeleteAgentResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteAgentResponse = exports.DeleteAgentResponse || (exports.DeleteAgentResponse = {}));
var DeleteLocationRequest;
(function (DeleteLocationRequest) {
    DeleteLocationRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteLocationRequest = exports.DeleteLocationRequest || (exports.DeleteLocationRequest = {}));
var DeleteLocationResponse;
(function (DeleteLocationResponse) {
    DeleteLocationResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteLocationResponse = exports.DeleteLocationResponse || (exports.DeleteLocationResponse = {}));
var DeleteTaskRequest;
(function (DeleteTaskRequest) {
    DeleteTaskRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteTaskRequest = exports.DeleteTaskRequest || (exports.DeleteTaskRequest = {}));
var DeleteTaskResponse;
(function (DeleteTaskResponse) {
    DeleteTaskResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteTaskResponse = exports.DeleteTaskResponse || (exports.DeleteTaskResponse = {}));
var DescribeAgentRequest;
(function (DescribeAgentRequest) {
    DescribeAgentRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeAgentRequest = exports.DescribeAgentRequest || (exports.DescribeAgentRequest = {}));
var EndpointType;
(function (EndpointType) {
    EndpointType["FIPS"] = "FIPS";
    EndpointType["PRIVATE_LINK"] = "PRIVATE_LINK";
    EndpointType["PUBLIC"] = "PUBLIC";
})(EndpointType = exports.EndpointType || (exports.EndpointType = {}));
var PrivateLinkConfig;
(function (PrivateLinkConfig) {
    PrivateLinkConfig.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(PrivateLinkConfig = exports.PrivateLinkConfig || (exports.PrivateLinkConfig = {}));
var DescribeAgentResponse;
(function (DescribeAgentResponse) {
    DescribeAgentResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeAgentResponse = exports.DescribeAgentResponse || (exports.DescribeAgentResponse = {}));
var DescribeLocationEfsRequest;
(function (DescribeLocationEfsRequest) {
    DescribeLocationEfsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLocationEfsRequest = exports.DescribeLocationEfsRequest || (exports.DescribeLocationEfsRequest = {}));
var DescribeLocationEfsResponse;
(function (DescribeLocationEfsResponse) {
    DescribeLocationEfsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLocationEfsResponse = exports.DescribeLocationEfsResponse || (exports.DescribeLocationEfsResponse = {}));
var DescribeLocationFsxLustreRequest;
(function (DescribeLocationFsxLustreRequest) {
    DescribeLocationFsxLustreRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLocationFsxLustreRequest = exports.DescribeLocationFsxLustreRequest || (exports.DescribeLocationFsxLustreRequest = {}));
var DescribeLocationFsxLustreResponse;
(function (DescribeLocationFsxLustreResponse) {
    DescribeLocationFsxLustreResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLocationFsxLustreResponse = exports.DescribeLocationFsxLustreResponse || (exports.DescribeLocationFsxLustreResponse = {}));
var DescribeLocationFsxOpenZfsRequest;
(function (DescribeLocationFsxOpenZfsRequest) {
    DescribeLocationFsxOpenZfsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLocationFsxOpenZfsRequest = exports.DescribeLocationFsxOpenZfsRequest || (exports.DescribeLocationFsxOpenZfsRequest = {}));
var DescribeLocationFsxOpenZfsResponse;
(function (DescribeLocationFsxOpenZfsResponse) {
    DescribeLocationFsxOpenZfsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLocationFsxOpenZfsResponse = exports.DescribeLocationFsxOpenZfsResponse || (exports.DescribeLocationFsxOpenZfsResponse = {}));
var DescribeLocationFsxWindowsRequest;
(function (DescribeLocationFsxWindowsRequest) {
    DescribeLocationFsxWindowsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLocationFsxWindowsRequest = exports.DescribeLocationFsxWindowsRequest || (exports.DescribeLocationFsxWindowsRequest = {}));
var DescribeLocationFsxWindowsResponse;
(function (DescribeLocationFsxWindowsResponse) {
    DescribeLocationFsxWindowsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLocationFsxWindowsResponse = exports.DescribeLocationFsxWindowsResponse || (exports.DescribeLocationFsxWindowsResponse = {}));
var DescribeLocationHdfsRequest;
(function (DescribeLocationHdfsRequest) {
    DescribeLocationHdfsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLocationHdfsRequest = exports.DescribeLocationHdfsRequest || (exports.DescribeLocationHdfsRequest = {}));
var DescribeLocationHdfsResponse;
(function (DescribeLocationHdfsResponse) {
    DescribeLocationHdfsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLocationHdfsResponse = exports.DescribeLocationHdfsResponse || (exports.DescribeLocationHdfsResponse = {}));
var DescribeLocationNfsRequest;
(function (DescribeLocationNfsRequest) {
    DescribeLocationNfsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLocationNfsRequest = exports.DescribeLocationNfsRequest || (exports.DescribeLocationNfsRequest = {}));
var DescribeLocationNfsResponse;
(function (DescribeLocationNfsResponse) {
    DescribeLocationNfsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLocationNfsResponse = exports.DescribeLocationNfsResponse || (exports.DescribeLocationNfsResponse = {}));
var DescribeLocationObjectStorageRequest;
(function (DescribeLocationObjectStorageRequest) {
    DescribeLocationObjectStorageRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLocationObjectStorageRequest = exports.DescribeLocationObjectStorageRequest || (exports.DescribeLocationObjectStorageRequest = {}));
var DescribeLocationObjectStorageResponse;
(function (DescribeLocationObjectStorageResponse) {
    DescribeLocationObjectStorageResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLocationObjectStorageResponse = exports.DescribeLocationObjectStorageResponse || (exports.DescribeLocationObjectStorageResponse = {}));
var DescribeLocationS3Request;
(function (DescribeLocationS3Request) {
    DescribeLocationS3Request.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLocationS3Request = exports.DescribeLocationS3Request || (exports.DescribeLocationS3Request = {}));
var DescribeLocationS3Response;
(function (DescribeLocationS3Response) {
    DescribeLocationS3Response.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLocationS3Response = exports.DescribeLocationS3Response || (exports.DescribeLocationS3Response = {}));
var DescribeLocationSmbRequest;
(function (DescribeLocationSmbRequest) {
    DescribeLocationSmbRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLocationSmbRequest = exports.DescribeLocationSmbRequest || (exports.DescribeLocationSmbRequest = {}));
var DescribeLocationSmbResponse;
(function (DescribeLocationSmbResponse) {
    DescribeLocationSmbResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeLocationSmbResponse = exports.DescribeLocationSmbResponse || (exports.DescribeLocationSmbResponse = {}));
var DescribeTaskRequest;
(function (DescribeTaskRequest) {
    DescribeTaskRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeTaskRequest = exports.DescribeTaskRequest || (exports.DescribeTaskRequest = {}));
var TaskStatus;
(function (TaskStatus) {
    TaskStatus["AVAILABLE"] = "AVAILABLE";
    TaskStatus["CREATING"] = "CREATING";
    TaskStatus["QUEUED"] = "QUEUED";
    TaskStatus["RUNNING"] = "RUNNING";
    TaskStatus["UNAVAILABLE"] = "UNAVAILABLE";
})(TaskStatus = exports.TaskStatus || (exports.TaskStatus = {}));
var DescribeTaskResponse;
(function (DescribeTaskResponse) {
    DescribeTaskResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeTaskResponse = exports.DescribeTaskResponse || (exports.DescribeTaskResponse = {}));
var DescribeTaskExecutionRequest;
(function (DescribeTaskExecutionRequest) {
    DescribeTaskExecutionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeTaskExecutionRequest = exports.DescribeTaskExecutionRequest || (exports.DescribeTaskExecutionRequest = {}));
var PhaseStatus;
(function (PhaseStatus) {
    PhaseStatus["ERROR"] = "ERROR";
    PhaseStatus["PENDING"] = "PENDING";
    PhaseStatus["SUCCESS"] = "SUCCESS";
})(PhaseStatus = exports.PhaseStatus || (exports.PhaseStatus = {}));
var TaskExecutionResultDetail;
(function (TaskExecutionResultDetail) {
    TaskExecutionResultDetail.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TaskExecutionResultDetail = exports.TaskExecutionResultDetail || (exports.TaskExecutionResultDetail = {}));
var TaskExecutionStatus;
(function (TaskExecutionStatus) {
    TaskExecutionStatus["ERROR"] = "ERROR";
    TaskExecutionStatus["LAUNCHING"] = "LAUNCHING";
    TaskExecutionStatus["PREPARING"] = "PREPARING";
    TaskExecutionStatus["QUEUED"] = "QUEUED";
    TaskExecutionStatus["SUCCESS"] = "SUCCESS";
    TaskExecutionStatus["TRANSFERRING"] = "TRANSFERRING";
    TaskExecutionStatus["VERIFYING"] = "VERIFYING";
})(TaskExecutionStatus = exports.TaskExecutionStatus || (exports.TaskExecutionStatus = {}));
var DescribeTaskExecutionResponse;
(function (DescribeTaskExecutionResponse) {
    DescribeTaskExecutionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeTaskExecutionResponse = exports.DescribeTaskExecutionResponse || (exports.DescribeTaskExecutionResponse = {}));
var ListAgentsRequest;
(function (ListAgentsRequest) {
    ListAgentsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListAgentsRequest = exports.ListAgentsRequest || (exports.ListAgentsRequest = {}));
var ListAgentsResponse;
(function (ListAgentsResponse) {
    ListAgentsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListAgentsResponse = exports.ListAgentsResponse || (exports.ListAgentsResponse = {}));
var LocationFilterName;
(function (LocationFilterName) {
    LocationFilterName["CreationTime"] = "CreationTime";
    LocationFilterName["LocationType"] = "LocationType";
    LocationFilterName["LocationUri"] = "LocationUri";
})(LocationFilterName = exports.LocationFilterName || (exports.LocationFilterName = {}));
var Operator;
(function (Operator) {
    Operator["BEGINS_WITH"] = "BeginsWith";
    Operator["CONTAINS"] = "Contains";
    Operator["EQ"] = "Equals";
    Operator["GE"] = "GreaterThanOrEqual";
    Operator["GT"] = "GreaterThan";
    Operator["IN"] = "In";
    Operator["LE"] = "LessThanOrEqual";
    Operator["LT"] = "LessThan";
    Operator["NE"] = "NotEquals";
    Operator["NOT_CONTAINS"] = "NotContains";
})(Operator = exports.Operator || (exports.Operator = {}));
var LocationFilter;
(function (LocationFilter) {
    LocationFilter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LocationFilter = exports.LocationFilter || (exports.LocationFilter = {}));
var ListLocationsRequest;
(function (ListLocationsRequest) {
    ListLocationsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListLocationsRequest = exports.ListLocationsRequest || (exports.ListLocationsRequest = {}));
var LocationListEntry;
(function (LocationListEntry) {
    LocationListEntry.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(LocationListEntry = exports.LocationListEntry || (exports.LocationListEntry = {}));
var ListLocationsResponse;
(function (ListLocationsResponse) {
    ListLocationsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListLocationsResponse = exports.ListLocationsResponse || (exports.ListLocationsResponse = {}));
var ListTagsForResourceRequest;
(function (ListTagsForResourceRequest) {
    ListTagsForResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsForResourceRequest = exports.ListTagsForResourceRequest || (exports.ListTagsForResourceRequest = {}));
var ListTagsForResourceResponse;
(function (ListTagsForResourceResponse) {
    ListTagsForResourceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsForResourceResponse = exports.ListTagsForResourceResponse || (exports.ListTagsForResourceResponse = {}));
var ListTaskExecutionsRequest;
(function (ListTaskExecutionsRequest) {
    ListTaskExecutionsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTaskExecutionsRequest = exports.ListTaskExecutionsRequest || (exports.ListTaskExecutionsRequest = {}));
var TaskExecutionListEntry;
(function (TaskExecutionListEntry) {
    TaskExecutionListEntry.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TaskExecutionListEntry = exports.TaskExecutionListEntry || (exports.TaskExecutionListEntry = {}));
var ListTaskExecutionsResponse;
(function (ListTaskExecutionsResponse) {
    ListTaskExecutionsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTaskExecutionsResponse = exports.ListTaskExecutionsResponse || (exports.ListTaskExecutionsResponse = {}));
var TaskFilterName;
(function (TaskFilterName) {
    TaskFilterName["CreationTime"] = "CreationTime";
    TaskFilterName["LocationId"] = "LocationId";
})(TaskFilterName = exports.TaskFilterName || (exports.TaskFilterName = {}));
var TaskFilter;
(function (TaskFilter) {
    TaskFilter.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TaskFilter = exports.TaskFilter || (exports.TaskFilter = {}));
var ListTasksRequest;
(function (ListTasksRequest) {
    ListTasksRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTasksRequest = exports.ListTasksRequest || (exports.ListTasksRequest = {}));
var TaskListEntry;
(function (TaskListEntry) {
    TaskListEntry.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TaskListEntry = exports.TaskListEntry || (exports.TaskListEntry = {}));
var ListTasksResponse;
(function (ListTasksResponse) {
    ListTasksResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTasksResponse = exports.ListTasksResponse || (exports.ListTasksResponse = {}));
var StartTaskExecutionRequest;
(function (StartTaskExecutionRequest) {
    StartTaskExecutionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StartTaskExecutionRequest = exports.StartTaskExecutionRequest || (exports.StartTaskExecutionRequest = {}));
var StartTaskExecutionResponse;
(function (StartTaskExecutionResponse) {
    StartTaskExecutionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(StartTaskExecutionResponse = exports.StartTaskExecutionResponse || (exports.StartTaskExecutionResponse = {}));
var TagResourceRequest;
(function (TagResourceRequest) {
    TagResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagResourceRequest = exports.TagResourceRequest || (exports.TagResourceRequest = {}));
var TagResourceResponse;
(function (TagResourceResponse) {
    TagResourceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagResourceResponse = exports.TagResourceResponse || (exports.TagResourceResponse = {}));
var UntagResourceRequest;
(function (UntagResourceRequest) {
    UntagResourceRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UntagResourceRequest = exports.UntagResourceRequest || (exports.UntagResourceRequest = {}));
var UntagResourceResponse;
(function (UntagResourceResponse) {
    UntagResourceResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UntagResourceResponse = exports.UntagResourceResponse || (exports.UntagResourceResponse = {}));
var UpdateAgentRequest;
(function (UpdateAgentRequest) {
    UpdateAgentRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateAgentRequest = exports.UpdateAgentRequest || (exports.UpdateAgentRequest = {}));
var UpdateAgentResponse;
(function (UpdateAgentResponse) {
    UpdateAgentResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateAgentResponse = exports.UpdateAgentResponse || (exports.UpdateAgentResponse = {}));
var UpdateLocationHdfsRequest;
(function (UpdateLocationHdfsRequest) {
    UpdateLocationHdfsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateLocationHdfsRequest = exports.UpdateLocationHdfsRequest || (exports.UpdateLocationHdfsRequest = {}));
var UpdateLocationHdfsResponse;
(function (UpdateLocationHdfsResponse) {
    UpdateLocationHdfsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateLocationHdfsResponse = exports.UpdateLocationHdfsResponse || (exports.UpdateLocationHdfsResponse = {}));
var UpdateLocationNfsRequest;
(function (UpdateLocationNfsRequest) {
    UpdateLocationNfsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateLocationNfsRequest = exports.UpdateLocationNfsRequest || (exports.UpdateLocationNfsRequest = {}));
var UpdateLocationNfsResponse;
(function (UpdateLocationNfsResponse) {
    UpdateLocationNfsResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateLocationNfsResponse = exports.UpdateLocationNfsResponse || (exports.UpdateLocationNfsResponse = {}));
var UpdateLocationObjectStorageRequest;
(function (UpdateLocationObjectStorageRequest) {
    UpdateLocationObjectStorageRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.SecretKey && { SecretKey: smithy_client_1.SENSITIVE_STRING }),
    });
})(UpdateLocationObjectStorageRequest = exports.UpdateLocationObjectStorageRequest || (exports.UpdateLocationObjectStorageRequest = {}));
var UpdateLocationObjectStorageResponse;
(function (UpdateLocationObjectStorageResponse) {
    UpdateLocationObjectStorageResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateLocationObjectStorageResponse = exports.UpdateLocationObjectStorageResponse || (exports.UpdateLocationObjectStorageResponse = {}));
var UpdateLocationSmbRequest;
(function (UpdateLocationSmbRequest) {
    UpdateLocationSmbRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.Password && { Password: smithy_client_1.SENSITIVE_STRING }),
    });
})(UpdateLocationSmbRequest = exports.UpdateLocationSmbRequest || (exports.UpdateLocationSmbRequest = {}));
var UpdateLocationSmbResponse;
(function (UpdateLocationSmbResponse) {
    UpdateLocationSmbResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateLocationSmbResponse = exports.UpdateLocationSmbResponse || (exports.UpdateLocationSmbResponse = {}));
var UpdateTaskRequest;
(function (UpdateTaskRequest) {
    UpdateTaskRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateTaskRequest = exports.UpdateTaskRequest || (exports.UpdateTaskRequest = {}));
var UpdateTaskResponse;
(function (UpdateTaskResponse) {
    UpdateTaskResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateTaskResponse = exports.UpdateTaskResponse || (exports.UpdateTaskResponse = {}));
var UpdateTaskExecutionRequest;
(function (UpdateTaskExecutionRequest) {
    UpdateTaskExecutionRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateTaskExecutionRequest = exports.UpdateTaskExecutionRequest || (exports.UpdateTaskExecutionRequest = {}));
var UpdateTaskExecutionResponse;
(function (UpdateTaskExecutionResponse) {
    UpdateTaskExecutionResponse.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateTaskExecutionResponse = exports.UpdateTaskExecutionResponse || (exports.UpdateTaskExecutionResponse = {}));
