import { __extends } from "tslib";
import { CancelTaskExecutionCommand, } from "./commands/CancelTaskExecutionCommand";
import { CreateAgentCommand } from "./commands/CreateAgentCommand";
import { CreateLocationEfsCommand, } from "./commands/CreateLocationEfsCommand";
import { CreateLocationFsxLustreCommand, } from "./commands/CreateLocationFsxLustreCommand";
import { CreateLocationFsxOpenZfsCommand, } from "./commands/CreateLocationFsxOpenZfsCommand";
import { CreateLocationFsxWindowsCommand, } from "./commands/CreateLocationFsxWindowsCommand";
import { CreateLocationHdfsCommand, } from "./commands/CreateLocationHdfsCommand";
import { CreateLocationNfsCommand, } from "./commands/CreateLocationNfsCommand";
import { CreateLocationObjectStorageCommand, } from "./commands/CreateLocationObjectStorageCommand";
import { CreateLocationS3Command, } from "./commands/CreateLocationS3Command";
import { CreateLocationSmbCommand, } from "./commands/CreateLocationSmbCommand";
import { CreateTaskCommand } from "./commands/CreateTaskCommand";
import { DeleteAgentCommand } from "./commands/DeleteAgentCommand";
import { DeleteLocationCommand, } from "./commands/DeleteLocationCommand";
import { DeleteTaskCommand } from "./commands/DeleteTaskCommand";
import { DescribeAgentCommand, } from "./commands/DescribeAgentCommand";
import { DescribeLocationEfsCommand, } from "./commands/DescribeLocationEfsCommand";
import { DescribeLocationFsxLustreCommand, } from "./commands/DescribeLocationFsxLustreCommand";
import { DescribeLocationFsxOpenZfsCommand, } from "./commands/DescribeLocationFsxOpenZfsCommand";
import { DescribeLocationFsxWindowsCommand, } from "./commands/DescribeLocationFsxWindowsCommand";
import { DescribeLocationHdfsCommand, } from "./commands/DescribeLocationHdfsCommand";
import { DescribeLocationNfsCommand, } from "./commands/DescribeLocationNfsCommand";
import { DescribeLocationObjectStorageCommand, } from "./commands/DescribeLocationObjectStorageCommand";
import { DescribeLocationS3Command, } from "./commands/DescribeLocationS3Command";
import { DescribeLocationSmbCommand, } from "./commands/DescribeLocationSmbCommand";
import { DescribeTaskCommand, } from "./commands/DescribeTaskCommand";
import { DescribeTaskExecutionCommand, } from "./commands/DescribeTaskExecutionCommand";
import { ListAgentsCommand } from "./commands/ListAgentsCommand";
import { ListLocationsCommand, } from "./commands/ListLocationsCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { ListTaskExecutionsCommand, } from "./commands/ListTaskExecutionsCommand";
import { ListTasksCommand } from "./commands/ListTasksCommand";
import { StartTaskExecutionCommand, } from "./commands/StartTaskExecutionCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { UpdateAgentCommand } from "./commands/UpdateAgentCommand";
import { UpdateLocationHdfsCommand, } from "./commands/UpdateLocationHdfsCommand";
import { UpdateLocationNfsCommand, } from "./commands/UpdateLocationNfsCommand";
import { UpdateLocationObjectStorageCommand, } from "./commands/UpdateLocationObjectStorageCommand";
import { UpdateLocationSmbCommand, } from "./commands/UpdateLocationSmbCommand";
import { UpdateTaskCommand } from "./commands/UpdateTaskCommand";
import { UpdateTaskExecutionCommand, } from "./commands/UpdateTaskExecutionCommand";
import { DataSyncClient } from "./DataSyncClient";
var DataSync = (function (_super) {
    __extends(DataSync, _super);
    function DataSync() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DataSync.prototype.cancelTaskExecution = function (args, optionsOrCb, cb) {
        var command = new CancelTaskExecutionCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.createAgent = function (args, optionsOrCb, cb) {
        var command = new CreateAgentCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.createLocationEfs = function (args, optionsOrCb, cb) {
        var command = new CreateLocationEfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.createLocationFsxLustre = function (args, optionsOrCb, cb) {
        var command = new CreateLocationFsxLustreCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.createLocationFsxOpenZfs = function (args, optionsOrCb, cb) {
        var command = new CreateLocationFsxOpenZfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.createLocationFsxWindows = function (args, optionsOrCb, cb) {
        var command = new CreateLocationFsxWindowsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.createLocationHdfs = function (args, optionsOrCb, cb) {
        var command = new CreateLocationHdfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.createLocationNfs = function (args, optionsOrCb, cb) {
        var command = new CreateLocationNfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.createLocationObjectStorage = function (args, optionsOrCb, cb) {
        var command = new CreateLocationObjectStorageCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.createLocationS3 = function (args, optionsOrCb, cb) {
        var command = new CreateLocationS3Command(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.createLocationSmb = function (args, optionsOrCb, cb) {
        var command = new CreateLocationSmbCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.createTask = function (args, optionsOrCb, cb) {
        var command = new CreateTaskCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.deleteAgent = function (args, optionsOrCb, cb) {
        var command = new DeleteAgentCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.deleteLocation = function (args, optionsOrCb, cb) {
        var command = new DeleteLocationCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.deleteTask = function (args, optionsOrCb, cb) {
        var command = new DeleteTaskCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.describeAgent = function (args, optionsOrCb, cb) {
        var command = new DescribeAgentCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.describeLocationEfs = function (args, optionsOrCb, cb) {
        var command = new DescribeLocationEfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.describeLocationFsxLustre = function (args, optionsOrCb, cb) {
        var command = new DescribeLocationFsxLustreCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.describeLocationFsxOpenZfs = function (args, optionsOrCb, cb) {
        var command = new DescribeLocationFsxOpenZfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.describeLocationFsxWindows = function (args, optionsOrCb, cb) {
        var command = new DescribeLocationFsxWindowsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.describeLocationHdfs = function (args, optionsOrCb, cb) {
        var command = new DescribeLocationHdfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.describeLocationNfs = function (args, optionsOrCb, cb) {
        var command = new DescribeLocationNfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.describeLocationObjectStorage = function (args, optionsOrCb, cb) {
        var command = new DescribeLocationObjectStorageCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.describeLocationS3 = function (args, optionsOrCb, cb) {
        var command = new DescribeLocationS3Command(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.describeLocationSmb = function (args, optionsOrCb, cb) {
        var command = new DescribeLocationSmbCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.describeTask = function (args, optionsOrCb, cb) {
        var command = new DescribeTaskCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.describeTaskExecution = function (args, optionsOrCb, cb) {
        var command = new DescribeTaskExecutionCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.listAgents = function (args, optionsOrCb, cb) {
        var command = new ListAgentsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.listLocations = function (args, optionsOrCb, cb) {
        var command = new ListLocationsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.listTagsForResource = function (args, optionsOrCb, cb) {
        var command = new ListTagsForResourceCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.listTaskExecutions = function (args, optionsOrCb, cb) {
        var command = new ListTaskExecutionsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.listTasks = function (args, optionsOrCb, cb) {
        var command = new ListTasksCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.startTaskExecution = function (args, optionsOrCb, cb) {
        var command = new StartTaskExecutionCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.tagResource = function (args, optionsOrCb, cb) {
        var command = new TagResourceCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.untagResource = function (args, optionsOrCb, cb) {
        var command = new UntagResourceCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.updateAgent = function (args, optionsOrCb, cb) {
        var command = new UpdateAgentCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.updateLocationHdfs = function (args, optionsOrCb, cb) {
        var command = new UpdateLocationHdfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.updateLocationNfs = function (args, optionsOrCb, cb) {
        var command = new UpdateLocationNfsCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.updateLocationObjectStorage = function (args, optionsOrCb, cb) {
        var command = new UpdateLocationObjectStorageCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.updateLocationSmb = function (args, optionsOrCb, cb) {
        var command = new UpdateLocationSmbCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.updateTask = function (args, optionsOrCb, cb) {
        var command = new UpdateTaskCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    DataSync.prototype.updateTaskExecution = function (args, optionsOrCb, cb) {
        var command = new UpdateTaskExecutionCommand(args);
        if (typeof optionsOrCb === "function") {
            this.send(command, optionsOrCb);
        }
        else if (typeof cb === "function") {
            if (typeof optionsOrCb !== "object")
                throw new Error("Expect http options but get ".concat(typeof optionsOrCb));
            this.send(command, optionsOrCb || {}, cb);
        }
        else {
            return this.send(command, optionsOrCb);
        }
    };
    return DataSync;
}(DataSyncClient));
export { DataSync };
