import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CancelTaskExecutionRequest, CancelTaskExecutionResponse } from "../models/models_0";
import { deserializeAws_json1_1CancelTaskExecutionCommand, serializeAws_json1_1CancelTaskExecutionCommand, } from "../protocols/Aws_json1_1";
var CancelTaskExecutionCommand = (function (_super) {
    __extends(CancelTaskExecutionCommand, _super);
    function CancelTaskExecutionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CancelTaskExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "CancelTaskExecutionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CancelTaskExecutionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CancelTaskExecutionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CancelTaskExecutionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CancelTaskExecutionCommand(input, context);
    };
    CancelTaskExecutionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CancelTaskExecutionCommand(output, context);
    };
    return CancelTaskExecutionCommand;
}($Command));
export { CancelTaskExecutionCommand };
