import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateAgentRequest, CreateAgentResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateAgentCommand, serializeAws_json1_1CreateAgentCommand, } from "../protocols/Aws_json1_1";
var CreateAgentCommand = (function (_super) {
    __extends(CreateAgentCommand, _super);
    function CreateAgentCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateAgentCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "CreateAgentCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateAgentRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateAgentResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateAgentCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateAgentCommand(input, context);
    };
    CreateAgentCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateAgentCommand(output, context);
    };
    return CreateAgentCommand;
}($Command));
export { CreateAgentCommand };
