import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateLocationEfsRequest, CreateLocationEfsResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateLocationEfsCommand, serializeAws_json1_1CreateLocationEfsCommand, } from "../protocols/Aws_json1_1";
var CreateLocationEfsCommand = (function (_super) {
    __extends(CreateLocationEfsCommand, _super);
    function CreateLocationEfsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateLocationEfsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "CreateLocationEfsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateLocationEfsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateLocationEfsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateLocationEfsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateLocationEfsCommand(input, context);
    };
    CreateLocationEfsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateLocationEfsCommand(output, context);
    };
    return CreateLocationEfsCommand;
}($Command));
export { CreateLocationEfsCommand };
