import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateLocationFsxLustreRequest, CreateLocationFsxLustreResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateLocationFsxLustreCommand, serializeAws_json1_1CreateLocationFsxLustreCommand, } from "../protocols/Aws_json1_1";
var CreateLocationFsxLustreCommand = (function (_super) {
    __extends(CreateLocationFsxLustreCommand, _super);
    function CreateLocationFsxLustreCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateLocationFsxLustreCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "CreateLocationFsxLustreCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateLocationFsxLustreRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateLocationFsxLustreResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateLocationFsxLustreCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateLocationFsxLustreCommand(input, context);
    };
    CreateLocationFsxLustreCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateLocationFsxLustreCommand(output, context);
    };
    return CreateLocationFsxLustreCommand;
}($Command));
export { CreateLocationFsxLustreCommand };
