import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateLocationFsxOpenZfsRequest, CreateLocationFsxOpenZfsResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateLocationFsxOpenZfsCommand, serializeAws_json1_1CreateLocationFsxOpenZfsCommand, } from "../protocols/Aws_json1_1";
var CreateLocationFsxOpenZfsCommand = (function (_super) {
    __extends(CreateLocationFsxOpenZfsCommand, _super);
    function CreateLocationFsxOpenZfsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateLocationFsxOpenZfsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "CreateLocationFsxOpenZfsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateLocationFsxOpenZfsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateLocationFsxOpenZfsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateLocationFsxOpenZfsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateLocationFsxOpenZfsCommand(input, context);
    };
    CreateLocationFsxOpenZfsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateLocationFsxOpenZfsCommand(output, context);
    };
    return CreateLocationFsxOpenZfsCommand;
}($Command));
export { CreateLocationFsxOpenZfsCommand };
