import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateLocationFsxWindowsRequest, CreateLocationFsxWindowsResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateLocationFsxWindowsCommand, serializeAws_json1_1CreateLocationFsxWindowsCommand, } from "../protocols/Aws_json1_1";
var CreateLocationFsxWindowsCommand = (function (_super) {
    __extends(CreateLocationFsxWindowsCommand, _super);
    function CreateLocationFsxWindowsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateLocationFsxWindowsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "CreateLocationFsxWindowsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateLocationFsxWindowsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateLocationFsxWindowsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateLocationFsxWindowsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateLocationFsxWindowsCommand(input, context);
    };
    CreateLocationFsxWindowsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateLocationFsxWindowsCommand(output, context);
    };
    return CreateLocationFsxWindowsCommand;
}($Command));
export { CreateLocationFsxWindowsCommand };
