import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateLocationHdfsRequest, CreateLocationHdfsResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateLocationHdfsCommand, serializeAws_json1_1CreateLocationHdfsCommand, } from "../protocols/Aws_json1_1";
var CreateLocationHdfsCommand = (function (_super) {
    __extends(CreateLocationHdfsCommand, _super);
    function CreateLocationHdfsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateLocationHdfsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "CreateLocationHdfsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateLocationHdfsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateLocationHdfsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateLocationHdfsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateLocationHdfsCommand(input, context);
    };
    CreateLocationHdfsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateLocationHdfsCommand(output, context);
    };
    return CreateLocationHdfsCommand;
}($Command));
export { CreateLocationHdfsCommand };
