import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateLocationNfsRequest, CreateLocationNfsResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateLocationNfsCommand, serializeAws_json1_1CreateLocationNfsCommand, } from "../protocols/Aws_json1_1";
var CreateLocationNfsCommand = (function (_super) {
    __extends(CreateLocationNfsCommand, _super);
    function CreateLocationNfsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateLocationNfsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "CreateLocationNfsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateLocationNfsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateLocationNfsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateLocationNfsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateLocationNfsCommand(input, context);
    };
    CreateLocationNfsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateLocationNfsCommand(output, context);
    };
    return CreateLocationNfsCommand;
}($Command));
export { CreateLocationNfsCommand };
