import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateLocationObjectStorageRequest, CreateLocationObjectStorageResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateLocationObjectStorageCommand, serializeAws_json1_1CreateLocationObjectStorageCommand, } from "../protocols/Aws_json1_1";
var CreateLocationObjectStorageCommand = (function (_super) {
    __extends(CreateLocationObjectStorageCommand, _super);
    function CreateLocationObjectStorageCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateLocationObjectStorageCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "CreateLocationObjectStorageCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateLocationObjectStorageRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateLocationObjectStorageResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateLocationObjectStorageCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateLocationObjectStorageCommand(input, context);
    };
    CreateLocationObjectStorageCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateLocationObjectStorageCommand(output, context);
    };
    return CreateLocationObjectStorageCommand;
}($Command));
export { CreateLocationObjectStorageCommand };
