import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateLocationS3Request, CreateLocationS3Response } from "../models/models_0";
import { deserializeAws_json1_1CreateLocationS3Command, serializeAws_json1_1CreateLocationS3Command, } from "../protocols/Aws_json1_1";
var CreateLocationS3Command = (function (_super) {
    __extends(CreateLocationS3Command, _super);
    function CreateLocationS3Command(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateLocationS3Command.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "CreateLocationS3Command";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateLocationS3Request.filterSensitiveLog,
            outputFilterSensitiveLog: CreateLocationS3Response.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateLocationS3Command.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateLocationS3Command(input, context);
    };
    CreateLocationS3Command.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateLocationS3Command(output, context);
    };
    return CreateLocationS3Command;
}($Command));
export { CreateLocationS3Command };
