import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateTaskRequest, CreateTaskResponse } from "../models/models_0";
import { deserializeAws_json1_1CreateTaskCommand, serializeAws_json1_1CreateTaskCommand, } from "../protocols/Aws_json1_1";
var CreateTaskCommand = (function (_super) {
    __extends(CreateTaskCommand, _super);
    function CreateTaskCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateTaskCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "CreateTaskCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateTaskRequest.filterSensitiveLog,
            outputFilterSensitiveLog: CreateTaskResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateTaskCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1CreateTaskCommand(input, context);
    };
    CreateTaskCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1CreateTaskCommand(output, context);
    };
    return CreateTaskCommand;
}($Command));
export { CreateTaskCommand };
