import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteAgentRequest, DeleteAgentResponse } from "../models/models_0";
import { deserializeAws_json1_1DeleteAgentCommand, serializeAws_json1_1DeleteAgentCommand, } from "../protocols/Aws_json1_1";
var DeleteAgentCommand = (function (_super) {
    __extends(DeleteAgentCommand, _super);
    function DeleteAgentCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteAgentCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "DeleteAgentCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteAgentRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteAgentResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteAgentCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteAgentCommand(input, context);
    };
    DeleteAgentCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteAgentCommand(output, context);
    };
    return DeleteAgentCommand;
}($Command));
export { DeleteAgentCommand };
