import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteLocationRequest, DeleteLocationResponse } from "../models/models_0";
import { deserializeAws_json1_1DeleteLocationCommand, serializeAws_json1_1DeleteLocationCommand, } from "../protocols/Aws_json1_1";
var DeleteLocationCommand = (function (_super) {
    __extends(DeleteLocationCommand, _super);
    function DeleteLocationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteLocationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "DeleteLocationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteLocationRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteLocationResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteLocationCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteLocationCommand(input, context);
    };
    DeleteLocationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteLocationCommand(output, context);
    };
    return DeleteLocationCommand;
}($Command));
export { DeleteLocationCommand };
