import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeleteTaskRequest, DeleteTaskResponse } from "../models/models_0";
import { deserializeAws_json1_1DeleteTaskCommand, serializeAws_json1_1DeleteTaskCommand, } from "../protocols/Aws_json1_1";
var DeleteTaskCommand = (function (_super) {
    __extends(DeleteTaskCommand, _super);
    function DeleteTaskCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeleteTaskCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "DeleteTaskCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeleteTaskRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DeleteTaskResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeleteTaskCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DeleteTaskCommand(input, context);
    };
    DeleteTaskCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DeleteTaskCommand(output, context);
    };
    return DeleteTaskCommand;
}($Command));
export { DeleteTaskCommand };
