import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeAgentRequest, DescribeAgentResponse } from "../models/models_0";
import { deserializeAws_json1_1DescribeAgentCommand, serializeAws_json1_1DescribeAgentCommand, } from "../protocols/Aws_json1_1";
var DescribeAgentCommand = (function (_super) {
    __extends(DescribeAgentCommand, _super);
    function DescribeAgentCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeAgentCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "DescribeAgentCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeAgentRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeAgentResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeAgentCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeAgentCommand(input, context);
    };
    DescribeAgentCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeAgentCommand(output, context);
    };
    return DescribeAgentCommand;
}($Command));
export { DescribeAgentCommand };
