import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeLocationEfsRequest, DescribeLocationEfsResponse } from "../models/models_0";
import { deserializeAws_json1_1DescribeLocationEfsCommand, serializeAws_json1_1DescribeLocationEfsCommand, } from "../protocols/Aws_json1_1";
var DescribeLocationEfsCommand = (function (_super) {
    __extends(DescribeLocationEfsCommand, _super);
    function DescribeLocationEfsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeLocationEfsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "DescribeLocationEfsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeLocationEfsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeLocationEfsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeLocationEfsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeLocationEfsCommand(input, context);
    };
    DescribeLocationEfsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeLocationEfsCommand(output, context);
    };
    return DescribeLocationEfsCommand;
}($Command));
export { DescribeLocationEfsCommand };
