import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeLocationFsxOpenZfsRequest, DescribeLocationFsxOpenZfsResponse } from "../models/models_0";
import { deserializeAws_json1_1DescribeLocationFsxOpenZfsCommand, serializeAws_json1_1DescribeLocationFsxOpenZfsCommand, } from "../protocols/Aws_json1_1";
var DescribeLocationFsxOpenZfsCommand = (function (_super) {
    __extends(DescribeLocationFsxOpenZfsCommand, _super);
    function DescribeLocationFsxOpenZfsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeLocationFsxOpenZfsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "DescribeLocationFsxOpenZfsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeLocationFsxOpenZfsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeLocationFsxOpenZfsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeLocationFsxOpenZfsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeLocationFsxOpenZfsCommand(input, context);
    };
    DescribeLocationFsxOpenZfsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeLocationFsxOpenZfsCommand(output, context);
    };
    return DescribeLocationFsxOpenZfsCommand;
}($Command));
export { DescribeLocationFsxOpenZfsCommand };
