import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeLocationFsxWindowsRequest, DescribeLocationFsxWindowsResponse } from "../models/models_0";
import { deserializeAws_json1_1DescribeLocationFsxWindowsCommand, serializeAws_json1_1DescribeLocationFsxWindowsCommand, } from "../protocols/Aws_json1_1";
var DescribeLocationFsxWindowsCommand = (function (_super) {
    __extends(DescribeLocationFsxWindowsCommand, _super);
    function DescribeLocationFsxWindowsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeLocationFsxWindowsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "DescribeLocationFsxWindowsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeLocationFsxWindowsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeLocationFsxWindowsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeLocationFsxWindowsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeLocationFsxWindowsCommand(input, context);
    };
    DescribeLocationFsxWindowsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeLocationFsxWindowsCommand(output, context);
    };
    return DescribeLocationFsxWindowsCommand;
}($Command));
export { DescribeLocationFsxWindowsCommand };
