import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeLocationHdfsRequest, DescribeLocationHdfsResponse } from "../models/models_0";
import { deserializeAws_json1_1DescribeLocationHdfsCommand, serializeAws_json1_1DescribeLocationHdfsCommand, } from "../protocols/Aws_json1_1";
var DescribeLocationHdfsCommand = (function (_super) {
    __extends(DescribeLocationHdfsCommand, _super);
    function DescribeLocationHdfsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeLocationHdfsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "DescribeLocationHdfsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeLocationHdfsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeLocationHdfsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeLocationHdfsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeLocationHdfsCommand(input, context);
    };
    DescribeLocationHdfsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeLocationHdfsCommand(output, context);
    };
    return DescribeLocationHdfsCommand;
}($Command));
export { DescribeLocationHdfsCommand };
