import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeLocationNfsRequest, DescribeLocationNfsResponse } from "../models/models_0";
import { deserializeAws_json1_1DescribeLocationNfsCommand, serializeAws_json1_1DescribeLocationNfsCommand, } from "../protocols/Aws_json1_1";
var DescribeLocationNfsCommand = (function (_super) {
    __extends(DescribeLocationNfsCommand, _super);
    function DescribeLocationNfsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeLocationNfsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "DescribeLocationNfsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeLocationNfsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeLocationNfsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeLocationNfsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeLocationNfsCommand(input, context);
    };
    DescribeLocationNfsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeLocationNfsCommand(output, context);
    };
    return DescribeLocationNfsCommand;
}($Command));
export { DescribeLocationNfsCommand };
