import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeLocationObjectStorageRequest, DescribeLocationObjectStorageResponse } from "../models/models_0";
import { deserializeAws_json1_1DescribeLocationObjectStorageCommand, serializeAws_json1_1DescribeLocationObjectStorageCommand, } from "../protocols/Aws_json1_1";
var DescribeLocationObjectStorageCommand = (function (_super) {
    __extends(DescribeLocationObjectStorageCommand, _super);
    function DescribeLocationObjectStorageCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeLocationObjectStorageCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "DescribeLocationObjectStorageCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeLocationObjectStorageRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeLocationObjectStorageResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeLocationObjectStorageCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeLocationObjectStorageCommand(input, context);
    };
    DescribeLocationObjectStorageCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeLocationObjectStorageCommand(output, context);
    };
    return DescribeLocationObjectStorageCommand;
}($Command));
export { DescribeLocationObjectStorageCommand };
