import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeLocationS3Request, DescribeLocationS3Response } from "../models/models_0";
import { deserializeAws_json1_1DescribeLocationS3Command, serializeAws_json1_1DescribeLocationS3Command, } from "../protocols/Aws_json1_1";
var DescribeLocationS3Command = (function (_super) {
    __extends(DescribeLocationS3Command, _super);
    function DescribeLocationS3Command(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeLocationS3Command.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "DescribeLocationS3Command";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeLocationS3Request.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeLocationS3Response.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeLocationS3Command.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeLocationS3Command(input, context);
    };
    DescribeLocationS3Command.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeLocationS3Command(output, context);
    };
    return DescribeLocationS3Command;
}($Command));
export { DescribeLocationS3Command };
