import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeTaskRequest, DescribeTaskResponse } from "../models/models_0";
import { deserializeAws_json1_1DescribeTaskCommand, serializeAws_json1_1DescribeTaskCommand, } from "../protocols/Aws_json1_1";
var DescribeTaskCommand = (function (_super) {
    __extends(DescribeTaskCommand, _super);
    function DescribeTaskCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeTaskCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "DescribeTaskCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeTaskRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeTaskResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeTaskCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeTaskCommand(input, context);
    };
    DescribeTaskCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeTaskCommand(output, context);
    };
    return DescribeTaskCommand;
}($Command));
export { DescribeTaskCommand };
