import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DescribeTaskExecutionRequest, DescribeTaskExecutionResponse } from "../models/models_0";
import { deserializeAws_json1_1DescribeTaskExecutionCommand, serializeAws_json1_1DescribeTaskExecutionCommand, } from "../protocols/Aws_json1_1";
var DescribeTaskExecutionCommand = (function (_super) {
    __extends(DescribeTaskExecutionCommand, _super);
    function DescribeTaskExecutionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DescribeTaskExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "DescribeTaskExecutionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DescribeTaskExecutionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DescribeTaskExecutionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DescribeTaskExecutionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DescribeTaskExecutionCommand(input, context);
    };
    DescribeTaskExecutionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DescribeTaskExecutionCommand(output, context);
    };
    return DescribeTaskExecutionCommand;
}($Command));
export { DescribeTaskExecutionCommand };
