import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListAgentsRequest, ListAgentsResponse } from "../models/models_0";
import { deserializeAws_json1_1ListAgentsCommand, serializeAws_json1_1ListAgentsCommand, } from "../protocols/Aws_json1_1";
var ListAgentsCommand = (function (_super) {
    __extends(ListAgentsCommand, _super);
    function ListAgentsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListAgentsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "ListAgentsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListAgentsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListAgentsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListAgentsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListAgentsCommand(input, context);
    };
    ListAgentsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListAgentsCommand(output, context);
    };
    return ListAgentsCommand;
}($Command));
export { ListAgentsCommand };
