import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListLocationsRequest, ListLocationsResponse } from "../models/models_0";
import { deserializeAws_json1_1ListLocationsCommand, serializeAws_json1_1ListLocationsCommand, } from "../protocols/Aws_json1_1";
var ListLocationsCommand = (function (_super) {
    __extends(ListLocationsCommand, _super);
    function ListLocationsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListLocationsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "ListLocationsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListLocationsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListLocationsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListLocationsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListLocationsCommand(input, context);
    };
    ListLocationsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListLocationsCommand(output, context);
    };
    return ListLocationsCommand;
}($Command));
export { ListLocationsCommand };
