import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListTaskExecutionsRequest, ListTaskExecutionsResponse } from "../models/models_0";
import { deserializeAws_json1_1ListTaskExecutionsCommand, serializeAws_json1_1ListTaskExecutionsCommand, } from "../protocols/Aws_json1_1";
var ListTaskExecutionsCommand = (function (_super) {
    __extends(ListTaskExecutionsCommand, _super);
    function ListTaskExecutionsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListTaskExecutionsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "ListTaskExecutionsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListTaskExecutionsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListTaskExecutionsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListTaskExecutionsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListTaskExecutionsCommand(input, context);
    };
    ListTaskExecutionsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListTaskExecutionsCommand(output, context);
    };
    return ListTaskExecutionsCommand;
}($Command));
export { ListTaskExecutionsCommand };
