import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { StartTaskExecutionRequest, StartTaskExecutionResponse } from "../models/models_0";
import { deserializeAws_json1_1StartTaskExecutionCommand, serializeAws_json1_1StartTaskExecutionCommand, } from "../protocols/Aws_json1_1";
var StartTaskExecutionCommand = (function (_super) {
    __extends(StartTaskExecutionCommand, _super);
    function StartTaskExecutionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    StartTaskExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "StartTaskExecutionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: StartTaskExecutionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: StartTaskExecutionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    StartTaskExecutionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1StartTaskExecutionCommand(input, context);
    };
    StartTaskExecutionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1StartTaskExecutionCommand(output, context);
    };
    return StartTaskExecutionCommand;
}($Command));
export { StartTaskExecutionCommand };
