import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateAgentRequest, UpdateAgentResponse } from "../models/models_0";
import { deserializeAws_json1_1UpdateAgentCommand, serializeAws_json1_1UpdateAgentCommand, } from "../protocols/Aws_json1_1";
var UpdateAgentCommand = (function (_super) {
    __extends(UpdateAgentCommand, _super);
    function UpdateAgentCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateAgentCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "UpdateAgentCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateAgentRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateAgentResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateAgentCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateAgentCommand(input, context);
    };
    UpdateAgentCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateAgentCommand(output, context);
    };
    return UpdateAgentCommand;
}($Command));
export { UpdateAgentCommand };
