import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateLocationNfsRequest, UpdateLocationNfsResponse } from "../models/models_0";
import { deserializeAws_json1_1UpdateLocationNfsCommand, serializeAws_json1_1UpdateLocationNfsCommand, } from "../protocols/Aws_json1_1";
var UpdateLocationNfsCommand = (function (_super) {
    __extends(UpdateLocationNfsCommand, _super);
    function UpdateLocationNfsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateLocationNfsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "UpdateLocationNfsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateLocationNfsRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateLocationNfsResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateLocationNfsCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateLocationNfsCommand(input, context);
    };
    UpdateLocationNfsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateLocationNfsCommand(output, context);
    };
    return UpdateLocationNfsCommand;
}($Command));
export { UpdateLocationNfsCommand };
