import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateLocationObjectStorageRequest, UpdateLocationObjectStorageResponse } from "../models/models_0";
import { deserializeAws_json1_1UpdateLocationObjectStorageCommand, serializeAws_json1_1UpdateLocationObjectStorageCommand, } from "../protocols/Aws_json1_1";
var UpdateLocationObjectStorageCommand = (function (_super) {
    __extends(UpdateLocationObjectStorageCommand, _super);
    function UpdateLocationObjectStorageCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateLocationObjectStorageCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "UpdateLocationObjectStorageCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateLocationObjectStorageRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateLocationObjectStorageResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateLocationObjectStorageCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateLocationObjectStorageCommand(input, context);
    };
    UpdateLocationObjectStorageCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateLocationObjectStorageCommand(output, context);
    };
    return UpdateLocationObjectStorageCommand;
}($Command));
export { UpdateLocationObjectStorageCommand };
