import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateLocationSmbRequest, UpdateLocationSmbResponse } from "../models/models_0";
import { deserializeAws_json1_1UpdateLocationSmbCommand, serializeAws_json1_1UpdateLocationSmbCommand, } from "../protocols/Aws_json1_1";
var UpdateLocationSmbCommand = (function (_super) {
    __extends(UpdateLocationSmbCommand, _super);
    function UpdateLocationSmbCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateLocationSmbCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "UpdateLocationSmbCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateLocationSmbRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateLocationSmbResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateLocationSmbCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateLocationSmbCommand(input, context);
    };
    UpdateLocationSmbCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateLocationSmbCommand(output, context);
    };
    return UpdateLocationSmbCommand;
}($Command));
export { UpdateLocationSmbCommand };
