import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateTaskRequest, UpdateTaskResponse } from "../models/models_0";
import { deserializeAws_json1_1UpdateTaskCommand, serializeAws_json1_1UpdateTaskCommand, } from "../protocols/Aws_json1_1";
var UpdateTaskCommand = (function (_super) {
    __extends(UpdateTaskCommand, _super);
    function UpdateTaskCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateTaskCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "UpdateTaskCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateTaskRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateTaskResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateTaskCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateTaskCommand(input, context);
    };
    UpdateTaskCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateTaskCommand(output, context);
    };
    return UpdateTaskCommand;
}($Command));
export { UpdateTaskCommand };
