import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateTaskExecutionRequest, UpdateTaskExecutionResponse } from "../models/models_0";
import { deserializeAws_json1_1UpdateTaskExecutionCommand, serializeAws_json1_1UpdateTaskExecutionCommand, } from "../protocols/Aws_json1_1";
var UpdateTaskExecutionCommand = (function (_super) {
    __extends(UpdateTaskExecutionCommand, _super);
    function UpdateTaskExecutionCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateTaskExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "DataSyncClient";
        var commandName = "UpdateTaskExecutionCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateTaskExecutionRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateTaskExecutionResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateTaskExecutionCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateTaskExecutionCommand(input, context);
    };
    UpdateTaskExecutionCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateTaskExecutionCommand(output, context);
    };
    return UpdateTaskExecutionCommand;
}($Command));
export { UpdateTaskExecutionCommand };
