import { EndpointsInputConfig, EndpointsResolvedConfig, RegionInputConfig, RegionResolvedConfig } from "@aws-sdk/config-resolver";
import { HostHeaderInputConfig, HostHeaderResolvedConfig } from "@aws-sdk/middleware-host-header";
import { RetryInputConfig, RetryResolvedConfig } from "@aws-sdk/middleware-retry";
import { AwsAuthInputConfig, AwsAuthResolvedConfig } from "@aws-sdk/middleware-signing";
import { UserAgentInputConfig, UserAgentResolvedConfig } from "@aws-sdk/middleware-user-agent";
import { HttpHandler as __HttpHandler } from "@aws-sdk/protocol-http";
import { Client as __Client, DefaultsMode, SmithyConfiguration as __SmithyConfiguration, SmithyResolvedConfiguration as __SmithyResolvedConfiguration } from "@aws-sdk/smithy-client";
import { BodyLengthCalculator as __BodyLengthCalculator, Credentials as __Credentials, Decoder as __Decoder, Encoder as __Encoder, HashConstructor as __HashConstructor, HttpHandlerOptions as __HttpHandlerOptions, Logger as __Logger, Provider as __Provider, Provider, RegionInfoProvider, StreamCollector as __StreamCollector, UrlParser as __UrlParser, UserAgent as __UserAgent } from "@aws-sdk/types";
import { CancelTaskExecutionCommandInput, CancelTaskExecutionCommandOutput } from "./commands/CancelTaskExecutionCommand";
import { CreateAgentCommandInput, CreateAgentCommandOutput } from "./commands/CreateAgentCommand";
import { CreateLocationEfsCommandInput, CreateLocationEfsCommandOutput } from "./commands/CreateLocationEfsCommand";
import { CreateLocationFsxLustreCommandInput, CreateLocationFsxLustreCommandOutput } from "./commands/CreateLocationFsxLustreCommand";
import { CreateLocationFsxOpenZfsCommandInput, CreateLocationFsxOpenZfsCommandOutput } from "./commands/CreateLocationFsxOpenZfsCommand";
import { CreateLocationFsxWindowsCommandInput, CreateLocationFsxWindowsCommandOutput } from "./commands/CreateLocationFsxWindowsCommand";
import { CreateLocationHdfsCommandInput, CreateLocationHdfsCommandOutput } from "./commands/CreateLocationHdfsCommand";
import { CreateLocationNfsCommandInput, CreateLocationNfsCommandOutput } from "./commands/CreateLocationNfsCommand";
import { CreateLocationObjectStorageCommandInput, CreateLocationObjectStorageCommandOutput } from "./commands/CreateLocationObjectStorageCommand";
import { CreateLocationS3CommandInput, CreateLocationS3CommandOutput } from "./commands/CreateLocationS3Command";
import { CreateLocationSmbCommandInput, CreateLocationSmbCommandOutput } from "./commands/CreateLocationSmbCommand";
import { CreateTaskCommandInput, CreateTaskCommandOutput } from "./commands/CreateTaskCommand";
import { DeleteAgentCommandInput, DeleteAgentCommandOutput } from "./commands/DeleteAgentCommand";
import { DeleteLocationCommandInput, DeleteLocationCommandOutput } from "./commands/DeleteLocationCommand";
import { DeleteTaskCommandInput, DeleteTaskCommandOutput } from "./commands/DeleteTaskCommand";
import { DescribeAgentCommandInput, DescribeAgentCommandOutput } from "./commands/DescribeAgentCommand";
import { DescribeLocationEfsCommandInput, DescribeLocationEfsCommandOutput } from "./commands/DescribeLocationEfsCommand";
import { DescribeLocationFsxLustreCommandInput, DescribeLocationFsxLustreCommandOutput } from "./commands/DescribeLocationFsxLustreCommand";
import { DescribeLocationFsxOpenZfsCommandInput, DescribeLocationFsxOpenZfsCommandOutput } from "./commands/DescribeLocationFsxOpenZfsCommand";
import { DescribeLocationFsxWindowsCommandInput, DescribeLocationFsxWindowsCommandOutput } from "./commands/DescribeLocationFsxWindowsCommand";
import { DescribeLocationHdfsCommandInput, DescribeLocationHdfsCommandOutput } from "./commands/DescribeLocationHdfsCommand";
import { DescribeLocationNfsCommandInput, DescribeLocationNfsCommandOutput } from "./commands/DescribeLocationNfsCommand";
import { DescribeLocationObjectStorageCommandInput, DescribeLocationObjectStorageCommandOutput } from "./commands/DescribeLocationObjectStorageCommand";
import { DescribeLocationS3CommandInput, DescribeLocationS3CommandOutput } from "./commands/DescribeLocationS3Command";
import { DescribeLocationSmbCommandInput, DescribeLocationSmbCommandOutput } from "./commands/DescribeLocationSmbCommand";
import { DescribeTaskCommandInput, DescribeTaskCommandOutput } from "./commands/DescribeTaskCommand";
import { DescribeTaskExecutionCommandInput, DescribeTaskExecutionCommandOutput } from "./commands/DescribeTaskExecutionCommand";
import { ListAgentsCommandInput, ListAgentsCommandOutput } from "./commands/ListAgentsCommand";
import { ListLocationsCommandInput, ListLocationsCommandOutput } from "./commands/ListLocationsCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "./commands/ListTagsForResourceCommand";
import { ListTaskExecutionsCommandInput, ListTaskExecutionsCommandOutput } from "./commands/ListTaskExecutionsCommand";
import { ListTasksCommandInput, ListTasksCommandOutput } from "./commands/ListTasksCommand";
import { StartTaskExecutionCommandInput, StartTaskExecutionCommandOutput } from "./commands/StartTaskExecutionCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "./commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "./commands/UntagResourceCommand";
import { UpdateAgentCommandInput, UpdateAgentCommandOutput } from "./commands/UpdateAgentCommand";
import { UpdateLocationHdfsCommandInput, UpdateLocationHdfsCommandOutput } from "./commands/UpdateLocationHdfsCommand";
import { UpdateLocationNfsCommandInput, UpdateLocationNfsCommandOutput } from "./commands/UpdateLocationNfsCommand";
import { UpdateLocationObjectStorageCommandInput, UpdateLocationObjectStorageCommandOutput } from "./commands/UpdateLocationObjectStorageCommand";
import { UpdateLocationSmbCommandInput, UpdateLocationSmbCommandOutput } from "./commands/UpdateLocationSmbCommand";
import { UpdateTaskCommandInput, UpdateTaskCommandOutput } from "./commands/UpdateTaskCommand";
import { UpdateTaskExecutionCommandInput, UpdateTaskExecutionCommandOutput } from "./commands/UpdateTaskExecutionCommand";
export declare type ServiceInputTypes = CancelTaskExecutionCommandInput | CreateAgentCommandInput | CreateLocationEfsCommandInput | CreateLocationFsxLustreCommandInput | CreateLocationFsxOpenZfsCommandInput | CreateLocationFsxWindowsCommandInput | CreateLocationHdfsCommandInput | CreateLocationNfsCommandInput | CreateLocationObjectStorageCommandInput | CreateLocationS3CommandInput | CreateLocationSmbCommandInput | CreateTaskCommandInput | DeleteAgentCommandInput | DeleteLocationCommandInput | DeleteTaskCommandInput | DescribeAgentCommandInput | DescribeLocationEfsCommandInput | DescribeLocationFsxLustreCommandInput | DescribeLocationFsxOpenZfsCommandInput | DescribeLocationFsxWindowsCommandInput | DescribeLocationHdfsCommandInput | DescribeLocationNfsCommandInput | DescribeLocationObjectStorageCommandInput | DescribeLocationS3CommandInput | DescribeLocationSmbCommandInput | DescribeTaskCommandInput | DescribeTaskExecutionCommandInput | ListAgentsCommandInput | ListLocationsCommandInput | ListTagsForResourceCommandInput | ListTaskExecutionsCommandInput | ListTasksCommandInput | StartTaskExecutionCommandInput | TagResourceCommandInput | UntagResourceCommandInput | UpdateAgentCommandInput | UpdateLocationHdfsCommandInput | UpdateLocationNfsCommandInput | UpdateLocationObjectStorageCommandInput | UpdateLocationSmbCommandInput | UpdateTaskCommandInput | UpdateTaskExecutionCommandInput;
export declare type ServiceOutputTypes = CancelTaskExecutionCommandOutput | CreateAgentCommandOutput | CreateLocationEfsCommandOutput | CreateLocationFsxLustreCommandOutput | CreateLocationFsxOpenZfsCommandOutput | CreateLocationFsxWindowsCommandOutput | CreateLocationHdfsCommandOutput | CreateLocationNfsCommandOutput | CreateLocationObjectStorageCommandOutput | CreateLocationS3CommandOutput | CreateLocationSmbCommandOutput | CreateTaskCommandOutput | DeleteAgentCommandOutput | DeleteLocationCommandOutput | DeleteTaskCommandOutput | DescribeAgentCommandOutput | DescribeLocationEfsCommandOutput | DescribeLocationFsxLustreCommandOutput | DescribeLocationFsxOpenZfsCommandOutput | DescribeLocationFsxWindowsCommandOutput | DescribeLocationHdfsCommandOutput | DescribeLocationNfsCommandOutput | DescribeLocationObjectStorageCommandOutput | DescribeLocationS3CommandOutput | DescribeLocationSmbCommandOutput | DescribeTaskCommandOutput | DescribeTaskExecutionCommandOutput | ListAgentsCommandOutput | ListLocationsCommandOutput | ListTagsForResourceCommandOutput | ListTaskExecutionsCommandOutput | ListTasksCommandOutput | StartTaskExecutionCommandOutput | TagResourceCommandOutput | UntagResourceCommandOutput | UpdateAgentCommandOutput | UpdateLocationHdfsCommandOutput | UpdateLocationNfsCommandOutput | UpdateLocationObjectStorageCommandOutput | UpdateLocationSmbCommandOutput | UpdateTaskCommandOutput | UpdateTaskExecutionCommandOutput;
export interface ClientDefaults extends Partial<__SmithyResolvedConfiguration<__HttpHandlerOptions>> {
    /**
     * The HTTP handler to use. Fetch in browser and Https in Nodejs.
     */
    requestHandler?: __HttpHandler;
    /**
     * A constructor for a class implementing the {@link __Hash} interface
     * that computes the SHA-256 HMAC or checksum of a string or binary buffer.
     * @internal
     */
    sha256?: __HashConstructor;
    /**
     * The function that will be used to convert strings into HTTP endpoints.
     * @internal
     */
    urlParser?: __UrlParser;
    /**
     * A function that can calculate the length of a request body.
     * @internal
     */
    bodyLengthChecker?: __BodyLengthCalculator;
    /**
     * A function that converts a stream into an array of bytes.
     * @internal
     */
    streamCollector?: __StreamCollector;
    /**
     * The function that will be used to convert a base64-encoded string to a byte array.
     * @internal
     */
    base64Decoder?: __Decoder;
    /**
     * The function that will be used to convert binary data to a base64-encoded string.
     * @internal
     */
    base64Encoder?: __Encoder;
    /**
     * The function that will be used to convert a UTF8-encoded string to a byte array.
     * @internal
     */
    utf8Decoder?: __Decoder;
    /**
     * The function that will be used to convert binary data to a UTF-8 encoded string.
     * @internal
     */
    utf8Encoder?: __Encoder;
    /**
     * The runtime environment.
     * @internal
     */
    runtime?: string;
    /**
     * Disable dyanamically changing the endpoint of the client based on the hostPrefix
     * trait of an operation.
     */
    disableHostPrefix?: boolean;
    /**
     * Value for how many times a request will be made at most in case of retry.
     */
    maxAttempts?: number | __Provider<number>;
    /**
     * Specifies which retry algorithm to use.
     */
    retryMode?: string | __Provider<string>;
    /**
     * Optional logger for logging debug/info/warn/error.
     */
    logger?: __Logger;
    /**
     * Enables IPv6/IPv4 dualstack endpoint.
     */
    useDualstackEndpoint?: boolean | __Provider<boolean>;
    /**
     * Enables FIPS compatible endpoints.
     */
    useFipsEndpoint?: boolean | __Provider<boolean>;
    /**
     * Unique service identifier.
     * @internal
     */
    serviceId?: string;
    /**
     * The AWS region to which this client will send requests
     */
    region?: string | __Provider<string>;
    /**
     * Default credentials provider; Not available in browser runtime.
     * @internal
     */
    credentialDefaultProvider?: (input: any) => __Provider<__Credentials>;
    /**
     * Fetch related hostname, signing name or signing region with given region.
     * @internal
     */
    regionInfoProvider?: RegionInfoProvider;
    /**
     * The provider populating default tracking information to be sent with `user-agent`, `x-amz-user-agent` header
     * @internal
     */
    defaultUserAgentProvider?: Provider<__UserAgent>;
    /**
     * The {@link DefaultsMode} that will be used to determine how certain default configuration options are resolved in the SDK.
     */
    defaultsMode?: DefaultsMode | Provider<DefaultsMode>;
}
declare type DataSyncClientConfigType = Partial<__SmithyConfiguration<__HttpHandlerOptions>> & ClientDefaults & RegionInputConfig & EndpointsInputConfig & RetryInputConfig & HostHeaderInputConfig & AwsAuthInputConfig & UserAgentInputConfig;
/**
 * The configuration interface of DataSyncClient class constructor that set the region, credentials and other options.
 */
export interface DataSyncClientConfig extends DataSyncClientConfigType {
}
declare type DataSyncClientResolvedConfigType = __SmithyResolvedConfiguration<__HttpHandlerOptions> & Required<ClientDefaults> & RegionResolvedConfig & EndpointsResolvedConfig & RetryResolvedConfig & HostHeaderResolvedConfig & AwsAuthResolvedConfig & UserAgentResolvedConfig;
/**
 * The resolved configuration interface of DataSyncClient class. This is resolved and normalized from the {@link DataSyncClientConfig | constructor configuration interface}.
 */
export interface DataSyncClientResolvedConfig extends DataSyncClientResolvedConfigType {
}
/**
 * <fullname>DataSync</fullname>
 *
 *          <p>DataSync is a managed data transfer service that makes it simpler for you to
 *       automate moving data between on-premises storage and Amazon Simple Storage Service (Amazon S3)
 *       or Amazon Elastic File System (Amazon EFS). </p>
 *          <p>This API interface reference for DataSync contains documentation for a
 *       programming interface that you can use to manage DataSync.</p>
 */
export declare class DataSyncClient extends __Client<__HttpHandlerOptions, ServiceInputTypes, ServiceOutputTypes, DataSyncClientResolvedConfig> {
    /**
     * The resolved configuration of DataSyncClient class. This is resolved and normalized from the {@link DataSyncClientConfig | constructor configuration interface}.
     */
    readonly config: DataSyncClientResolvedConfig;
    constructor(configuration: DataSyncClientConfig);
    /**
     * Destroy underlying resources, like sockets. It's usually not necessary to do this.
     * However in Node.js, it's best to explicitly shut down the client's agent when it is no longer needed.
     * Otherwise, sockets might stay open for quite a long time before the server terminates them.
     */
    destroy(): void;
}
export {};
