import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { CreateLocationFsxLustreRequest, CreateLocationFsxLustreResponse } from "../models/models_0";
export interface CreateLocationFsxLustreCommandInput extends CreateLocationFsxLustreRequest {
}
export interface CreateLocationFsxLustreCommandOutput extends CreateLocationFsxLustreResponse, __MetadataBearer {
}
/**
 * <p>Creates an endpoint for an Amazon FSx for Lustre file system.</p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { DataSyncClient, CreateLocationFsxLustreCommand } from "@aws-sdk/client-datasync"; // ES Modules import
 * // const { DataSyncClient, CreateLocationFsxLustreCommand } = require("@aws-sdk/client-datasync"); // CommonJS import
 * const client = new DataSyncClient(config);
 * const command = new CreateLocationFsxLustreCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link CreateLocationFsxLustreCommandInput} for command's `input` shape.
 * @see {@link CreateLocationFsxLustreCommandOutput} for command's `response` shape.
 * @see {@link DataSyncClientResolvedConfig | config} for DataSyncClient's `config` shape.
 *
 */
export declare class CreateLocationFsxLustreCommand extends $Command<CreateLocationFsxLustreCommandInput, CreateLocationFsxLustreCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: CreateLocationFsxLustreCommandInput;
    constructor(input: CreateLocationFsxLustreCommandInput);
    /**
     * @internal
     */
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateLocationFsxLustreCommandInput, CreateLocationFsxLustreCommandOutput>;
    private serialize;
    private deserialize;
}
