import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { DescribeLocationHdfsRequest, DescribeLocationHdfsResponse } from "../models/models_0";
export interface DescribeLocationHdfsCommandInput extends DescribeLocationHdfsRequest {
}
export interface DescribeLocationHdfsCommandOutput extends DescribeLocationHdfsResponse, __MetadataBearer {
}
/**
 * <p>Returns metadata, such as the authentication information about the Hadoop Distributed File
 *       System (HDFS) location. </p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { DataSyncClient, DescribeLocationHdfsCommand } from "@aws-sdk/client-datasync"; // ES Modules import
 * // const { DataSyncClient, DescribeLocationHdfsCommand } = require("@aws-sdk/client-datasync"); // CommonJS import
 * const client = new DataSyncClient(config);
 * const command = new DescribeLocationHdfsCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link DescribeLocationHdfsCommandInput} for command's `input` shape.
 * @see {@link DescribeLocationHdfsCommandOutput} for command's `response` shape.
 * @see {@link DataSyncClientResolvedConfig | config} for DataSyncClient's `config` shape.
 *
 */
export declare class DescribeLocationHdfsCommand extends $Command<DescribeLocationHdfsCommandInput, DescribeLocationHdfsCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: DescribeLocationHdfsCommandInput;
    constructor(input: DescribeLocationHdfsCommandInput);
    /**
     * @internal
     */
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeLocationHdfsCommandInput, DescribeLocationHdfsCommandOutput>;
    private serialize;
    private deserialize;
}
