import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { UpdateLocationHdfsRequest, UpdateLocationHdfsResponse } from "../models/models_0";
export interface UpdateLocationHdfsCommandInput extends UpdateLocationHdfsRequest {
}
export interface UpdateLocationHdfsCommandOutput extends UpdateLocationHdfsResponse, __MetadataBearer {
}
/**
 * <p>Updates some parameters of a previously created location for a Hadoop Distributed File
 *       System cluster.</p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { DataSyncClient, UpdateLocationHdfsCommand } from "@aws-sdk/client-datasync"; // ES Modules import
 * // const { DataSyncClient, UpdateLocationHdfsCommand } = require("@aws-sdk/client-datasync"); // CommonJS import
 * const client = new DataSyncClient(config);
 * const command = new UpdateLocationHdfsCommand(input);
 * const response = await client.send(command);
 * ```
 *
 * @see {@link UpdateLocationHdfsCommandInput} for command's `input` shape.
 * @see {@link UpdateLocationHdfsCommandOutput} for command's `response` shape.
 * @see {@link DataSyncClientResolvedConfig | config} for DataSyncClient's `config` shape.
 *
 */
export declare class UpdateLocationHdfsCommand extends $Command<UpdateLocationHdfsCommandInput, UpdateLocationHdfsCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: UpdateLocationHdfsCommandInput;
    constructor(input: UpdateLocationHdfsCommandInput);
    /**
     * @internal
     */
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateLocationHdfsCommandInput, UpdateLocationHdfsCommandOutput>;
    private serialize;
    private deserialize;
}
