import { HttpHandlerOptions as __HttpHandlerOptions } from "@aws-sdk/types";
import { CancelTaskExecutionCommandInput, CancelTaskExecutionCommandOutput } from "./commands/CancelTaskExecutionCommand";
import { CreateAgentCommandInput, CreateAgentCommandOutput } from "./commands/CreateAgentCommand";
import { CreateLocationEfsCommandInput, CreateLocationEfsCommandOutput } from "./commands/CreateLocationEfsCommand";
import { CreateLocationFsxLustreCommandInput, CreateLocationFsxLustreCommandOutput } from "./commands/CreateLocationFsxLustreCommand";
import { CreateLocationFsxOpenZfsCommandInput, CreateLocationFsxOpenZfsCommandOutput } from "./commands/CreateLocationFsxOpenZfsCommand";
import { CreateLocationFsxWindowsCommandInput, CreateLocationFsxWindowsCommandOutput } from "./commands/CreateLocationFsxWindowsCommand";
import { CreateLocationHdfsCommandInput, CreateLocationHdfsCommandOutput } from "./commands/CreateLocationHdfsCommand";
import { CreateLocationNfsCommandInput, CreateLocationNfsCommandOutput } from "./commands/CreateLocationNfsCommand";
import { CreateLocationObjectStorageCommandInput, CreateLocationObjectStorageCommandOutput } from "./commands/CreateLocationObjectStorageCommand";
import { CreateLocationS3CommandInput, CreateLocationS3CommandOutput } from "./commands/CreateLocationS3Command";
import { CreateLocationSmbCommandInput, CreateLocationSmbCommandOutput } from "./commands/CreateLocationSmbCommand";
import { CreateTaskCommandInput, CreateTaskCommandOutput } from "./commands/CreateTaskCommand";
import { DeleteAgentCommandInput, DeleteAgentCommandOutput } from "./commands/DeleteAgentCommand";
import { DeleteLocationCommandInput, DeleteLocationCommandOutput } from "./commands/DeleteLocationCommand";
import { DeleteTaskCommandInput, DeleteTaskCommandOutput } from "./commands/DeleteTaskCommand";
import { DescribeAgentCommandInput, DescribeAgentCommandOutput } from "./commands/DescribeAgentCommand";
import { DescribeLocationEfsCommandInput, DescribeLocationEfsCommandOutput } from "./commands/DescribeLocationEfsCommand";
import { DescribeLocationFsxLustreCommandInput, DescribeLocationFsxLustreCommandOutput } from "./commands/DescribeLocationFsxLustreCommand";
import { DescribeLocationFsxOpenZfsCommandInput, DescribeLocationFsxOpenZfsCommandOutput } from "./commands/DescribeLocationFsxOpenZfsCommand";
import { DescribeLocationFsxWindowsCommandInput, DescribeLocationFsxWindowsCommandOutput } from "./commands/DescribeLocationFsxWindowsCommand";
import { DescribeLocationHdfsCommandInput, DescribeLocationHdfsCommandOutput } from "./commands/DescribeLocationHdfsCommand";
import { DescribeLocationNfsCommandInput, DescribeLocationNfsCommandOutput } from "./commands/DescribeLocationNfsCommand";
import { DescribeLocationObjectStorageCommandInput, DescribeLocationObjectStorageCommandOutput } from "./commands/DescribeLocationObjectStorageCommand";
import { DescribeLocationS3CommandInput, DescribeLocationS3CommandOutput } from "./commands/DescribeLocationS3Command";
import { DescribeLocationSmbCommandInput, DescribeLocationSmbCommandOutput } from "./commands/DescribeLocationSmbCommand";
import { DescribeTaskCommandInput, DescribeTaskCommandOutput } from "./commands/DescribeTaskCommand";
import { DescribeTaskExecutionCommandInput, DescribeTaskExecutionCommandOutput } from "./commands/DescribeTaskExecutionCommand";
import { ListAgentsCommandInput, ListAgentsCommandOutput } from "./commands/ListAgentsCommand";
import { ListLocationsCommandInput, ListLocationsCommandOutput } from "./commands/ListLocationsCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "./commands/ListTagsForResourceCommand";
import { ListTaskExecutionsCommandInput, ListTaskExecutionsCommandOutput } from "./commands/ListTaskExecutionsCommand";
import { ListTasksCommandInput, ListTasksCommandOutput } from "./commands/ListTasksCommand";
import { StartTaskExecutionCommandInput, StartTaskExecutionCommandOutput } from "./commands/StartTaskExecutionCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "./commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "./commands/UntagResourceCommand";
import { UpdateAgentCommandInput, UpdateAgentCommandOutput } from "./commands/UpdateAgentCommand";
import { UpdateLocationHdfsCommandInput, UpdateLocationHdfsCommandOutput } from "./commands/UpdateLocationHdfsCommand";
import { UpdateLocationNfsCommandInput, UpdateLocationNfsCommandOutput } from "./commands/UpdateLocationNfsCommand";
import { UpdateLocationObjectStorageCommandInput, UpdateLocationObjectStorageCommandOutput } from "./commands/UpdateLocationObjectStorageCommand";
import { UpdateLocationSmbCommandInput, UpdateLocationSmbCommandOutput } from "./commands/UpdateLocationSmbCommand";
import { UpdateTaskCommandInput, UpdateTaskCommandOutput } from "./commands/UpdateTaskCommand";
import { UpdateTaskExecutionCommandInput, UpdateTaskExecutionCommandOutput } from "./commands/UpdateTaskExecutionCommand";
import { DataSyncClient } from "./DataSyncClient";

export declare class DataSync extends DataSyncClient {
    
    cancelTaskExecution(args: CancelTaskExecutionCommandInput, options?: __HttpHandlerOptions): Promise<CancelTaskExecutionCommandOutput>;
    cancelTaskExecution(args: CancelTaskExecutionCommandInput, cb: (err: any, data?: CancelTaskExecutionCommandOutput) => void): void;
    cancelTaskExecution(args: CancelTaskExecutionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CancelTaskExecutionCommandOutput) => void): void;
    
    createAgent(args: CreateAgentCommandInput, options?: __HttpHandlerOptions): Promise<CreateAgentCommandOutput>;
    createAgent(args: CreateAgentCommandInput, cb: (err: any, data?: CreateAgentCommandOutput) => void): void;
    createAgent(args: CreateAgentCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateAgentCommandOutput) => void): void;
    
    createLocationEfs(args: CreateLocationEfsCommandInput, options?: __HttpHandlerOptions): Promise<CreateLocationEfsCommandOutput>;
    createLocationEfs(args: CreateLocationEfsCommandInput, cb: (err: any, data?: CreateLocationEfsCommandOutput) => void): void;
    createLocationEfs(args: CreateLocationEfsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateLocationEfsCommandOutput) => void): void;
    
    createLocationFsxLustre(args: CreateLocationFsxLustreCommandInput, options?: __HttpHandlerOptions): Promise<CreateLocationFsxLustreCommandOutput>;
    createLocationFsxLustre(args: CreateLocationFsxLustreCommandInput, cb: (err: any, data?: CreateLocationFsxLustreCommandOutput) => void): void;
    createLocationFsxLustre(args: CreateLocationFsxLustreCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateLocationFsxLustreCommandOutput) => void): void;
    
    createLocationFsxOpenZfs(args: CreateLocationFsxOpenZfsCommandInput, options?: __HttpHandlerOptions): Promise<CreateLocationFsxOpenZfsCommandOutput>;
    createLocationFsxOpenZfs(args: CreateLocationFsxOpenZfsCommandInput, cb: (err: any, data?: CreateLocationFsxOpenZfsCommandOutput) => void): void;
    createLocationFsxOpenZfs(args: CreateLocationFsxOpenZfsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateLocationFsxOpenZfsCommandOutput) => void): void;
    
    createLocationFsxWindows(args: CreateLocationFsxWindowsCommandInput, options?: __HttpHandlerOptions): Promise<CreateLocationFsxWindowsCommandOutput>;
    createLocationFsxWindows(args: CreateLocationFsxWindowsCommandInput, cb: (err: any, data?: CreateLocationFsxWindowsCommandOutput) => void): void;
    createLocationFsxWindows(args: CreateLocationFsxWindowsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateLocationFsxWindowsCommandOutput) => void): void;
    
    createLocationHdfs(args: CreateLocationHdfsCommandInput, options?: __HttpHandlerOptions): Promise<CreateLocationHdfsCommandOutput>;
    createLocationHdfs(args: CreateLocationHdfsCommandInput, cb: (err: any, data?: CreateLocationHdfsCommandOutput) => void): void;
    createLocationHdfs(args: CreateLocationHdfsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateLocationHdfsCommandOutput) => void): void;
    
    createLocationNfs(args: CreateLocationNfsCommandInput, options?: __HttpHandlerOptions): Promise<CreateLocationNfsCommandOutput>;
    createLocationNfs(args: CreateLocationNfsCommandInput, cb: (err: any, data?: CreateLocationNfsCommandOutput) => void): void;
    createLocationNfs(args: CreateLocationNfsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateLocationNfsCommandOutput) => void): void;
    
    createLocationObjectStorage(args: CreateLocationObjectStorageCommandInput, options?: __HttpHandlerOptions): Promise<CreateLocationObjectStorageCommandOutput>;
    createLocationObjectStorage(args: CreateLocationObjectStorageCommandInput, cb: (err: any, data?: CreateLocationObjectStorageCommandOutput) => void): void;
    createLocationObjectStorage(args: CreateLocationObjectStorageCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateLocationObjectStorageCommandOutput) => void): void;
    
    createLocationS3(args: CreateLocationS3CommandInput, options?: __HttpHandlerOptions): Promise<CreateLocationS3CommandOutput>;
    createLocationS3(args: CreateLocationS3CommandInput, cb: (err: any, data?: CreateLocationS3CommandOutput) => void): void;
    createLocationS3(args: CreateLocationS3CommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateLocationS3CommandOutput) => void): void;
    
    createLocationSmb(args: CreateLocationSmbCommandInput, options?: __HttpHandlerOptions): Promise<CreateLocationSmbCommandOutput>;
    createLocationSmb(args: CreateLocationSmbCommandInput, cb: (err: any, data?: CreateLocationSmbCommandOutput) => void): void;
    createLocationSmb(args: CreateLocationSmbCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateLocationSmbCommandOutput) => void): void;
    
    createTask(args: CreateTaskCommandInput, options?: __HttpHandlerOptions): Promise<CreateTaskCommandOutput>;
    createTask(args: CreateTaskCommandInput, cb: (err: any, data?: CreateTaskCommandOutput) => void): void;
    createTask(args: CreateTaskCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: CreateTaskCommandOutput) => void): void;
    
    deleteAgent(args: DeleteAgentCommandInput, options?: __HttpHandlerOptions): Promise<DeleteAgentCommandOutput>;
    deleteAgent(args: DeleteAgentCommandInput, cb: (err: any, data?: DeleteAgentCommandOutput) => void): void;
    deleteAgent(args: DeleteAgentCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteAgentCommandOutput) => void): void;
    
    deleteLocation(args: DeleteLocationCommandInput, options?: __HttpHandlerOptions): Promise<DeleteLocationCommandOutput>;
    deleteLocation(args: DeleteLocationCommandInput, cb: (err: any, data?: DeleteLocationCommandOutput) => void): void;
    deleteLocation(args: DeleteLocationCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteLocationCommandOutput) => void): void;
    
    deleteTask(args: DeleteTaskCommandInput, options?: __HttpHandlerOptions): Promise<DeleteTaskCommandOutput>;
    deleteTask(args: DeleteTaskCommandInput, cb: (err: any, data?: DeleteTaskCommandOutput) => void): void;
    deleteTask(args: DeleteTaskCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DeleteTaskCommandOutput) => void): void;
    
    describeAgent(args: DescribeAgentCommandInput, options?: __HttpHandlerOptions): Promise<DescribeAgentCommandOutput>;
    describeAgent(args: DescribeAgentCommandInput, cb: (err: any, data?: DescribeAgentCommandOutput) => void): void;
    describeAgent(args: DescribeAgentCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeAgentCommandOutput) => void): void;
    
    describeLocationEfs(args: DescribeLocationEfsCommandInput, options?: __HttpHandlerOptions): Promise<DescribeLocationEfsCommandOutput>;
    describeLocationEfs(args: DescribeLocationEfsCommandInput, cb: (err: any, data?: DescribeLocationEfsCommandOutput) => void): void;
    describeLocationEfs(args: DescribeLocationEfsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeLocationEfsCommandOutput) => void): void;
    
    describeLocationFsxLustre(args: DescribeLocationFsxLustreCommandInput, options?: __HttpHandlerOptions): Promise<DescribeLocationFsxLustreCommandOutput>;
    describeLocationFsxLustre(args: DescribeLocationFsxLustreCommandInput, cb: (err: any, data?: DescribeLocationFsxLustreCommandOutput) => void): void;
    describeLocationFsxLustre(args: DescribeLocationFsxLustreCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeLocationFsxLustreCommandOutput) => void): void;
    
    describeLocationFsxOpenZfs(args: DescribeLocationFsxOpenZfsCommandInput, options?: __HttpHandlerOptions): Promise<DescribeLocationFsxOpenZfsCommandOutput>;
    describeLocationFsxOpenZfs(args: DescribeLocationFsxOpenZfsCommandInput, cb: (err: any, data?: DescribeLocationFsxOpenZfsCommandOutput) => void): void;
    describeLocationFsxOpenZfs(args: DescribeLocationFsxOpenZfsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeLocationFsxOpenZfsCommandOutput) => void): void;
    
    describeLocationFsxWindows(args: DescribeLocationFsxWindowsCommandInput, options?: __HttpHandlerOptions): Promise<DescribeLocationFsxWindowsCommandOutput>;
    describeLocationFsxWindows(args: DescribeLocationFsxWindowsCommandInput, cb: (err: any, data?: DescribeLocationFsxWindowsCommandOutput) => void): void;
    describeLocationFsxWindows(args: DescribeLocationFsxWindowsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeLocationFsxWindowsCommandOutput) => void): void;
    
    describeLocationHdfs(args: DescribeLocationHdfsCommandInput, options?: __HttpHandlerOptions): Promise<DescribeLocationHdfsCommandOutput>;
    describeLocationHdfs(args: DescribeLocationHdfsCommandInput, cb: (err: any, data?: DescribeLocationHdfsCommandOutput) => void): void;
    describeLocationHdfs(args: DescribeLocationHdfsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeLocationHdfsCommandOutput) => void): void;
    
    describeLocationNfs(args: DescribeLocationNfsCommandInput, options?: __HttpHandlerOptions): Promise<DescribeLocationNfsCommandOutput>;
    describeLocationNfs(args: DescribeLocationNfsCommandInput, cb: (err: any, data?: DescribeLocationNfsCommandOutput) => void): void;
    describeLocationNfs(args: DescribeLocationNfsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeLocationNfsCommandOutput) => void): void;
    
    describeLocationObjectStorage(args: DescribeLocationObjectStorageCommandInput, options?: __HttpHandlerOptions): Promise<DescribeLocationObjectStorageCommandOutput>;
    describeLocationObjectStorage(args: DescribeLocationObjectStorageCommandInput, cb: (err: any, data?: DescribeLocationObjectStorageCommandOutput) => void): void;
    describeLocationObjectStorage(args: DescribeLocationObjectStorageCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeLocationObjectStorageCommandOutput) => void): void;
    
    describeLocationS3(args: DescribeLocationS3CommandInput, options?: __HttpHandlerOptions): Promise<DescribeLocationS3CommandOutput>;
    describeLocationS3(args: DescribeLocationS3CommandInput, cb: (err: any, data?: DescribeLocationS3CommandOutput) => void): void;
    describeLocationS3(args: DescribeLocationS3CommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeLocationS3CommandOutput) => void): void;
    
    describeLocationSmb(args: DescribeLocationSmbCommandInput, options?: __HttpHandlerOptions): Promise<DescribeLocationSmbCommandOutput>;
    describeLocationSmb(args: DescribeLocationSmbCommandInput, cb: (err: any, data?: DescribeLocationSmbCommandOutput) => void): void;
    describeLocationSmb(args: DescribeLocationSmbCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeLocationSmbCommandOutput) => void): void;
    
    describeTask(args: DescribeTaskCommandInput, options?: __HttpHandlerOptions): Promise<DescribeTaskCommandOutput>;
    describeTask(args: DescribeTaskCommandInput, cb: (err: any, data?: DescribeTaskCommandOutput) => void): void;
    describeTask(args: DescribeTaskCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeTaskCommandOutput) => void): void;
    
    describeTaskExecution(args: DescribeTaskExecutionCommandInput, options?: __HttpHandlerOptions): Promise<DescribeTaskExecutionCommandOutput>;
    describeTaskExecution(args: DescribeTaskExecutionCommandInput, cb: (err: any, data?: DescribeTaskExecutionCommandOutput) => void): void;
    describeTaskExecution(args: DescribeTaskExecutionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: DescribeTaskExecutionCommandOutput) => void): void;
    
    listAgents(args: ListAgentsCommandInput, options?: __HttpHandlerOptions): Promise<ListAgentsCommandOutput>;
    listAgents(args: ListAgentsCommandInput, cb: (err: any, data?: ListAgentsCommandOutput) => void): void;
    listAgents(args: ListAgentsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListAgentsCommandOutput) => void): void;
    
    listLocations(args: ListLocationsCommandInput, options?: __HttpHandlerOptions): Promise<ListLocationsCommandOutput>;
    listLocations(args: ListLocationsCommandInput, cb: (err: any, data?: ListLocationsCommandOutput) => void): void;
    listLocations(args: ListLocationsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListLocationsCommandOutput) => void): void;
    
    listTagsForResource(args: ListTagsForResourceCommandInput, options?: __HttpHandlerOptions): Promise<ListTagsForResourceCommandOutput>;
    listTagsForResource(args: ListTagsForResourceCommandInput, cb: (err: any, data?: ListTagsForResourceCommandOutput) => void): void;
    listTagsForResource(args: ListTagsForResourceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListTagsForResourceCommandOutput) => void): void;
    
    listTaskExecutions(args: ListTaskExecutionsCommandInput, options?: __HttpHandlerOptions): Promise<ListTaskExecutionsCommandOutput>;
    listTaskExecutions(args: ListTaskExecutionsCommandInput, cb: (err: any, data?: ListTaskExecutionsCommandOutput) => void): void;
    listTaskExecutions(args: ListTaskExecutionsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListTaskExecutionsCommandOutput) => void): void;
    
    listTasks(args: ListTasksCommandInput, options?: __HttpHandlerOptions): Promise<ListTasksCommandOutput>;
    listTasks(args: ListTasksCommandInput, cb: (err: any, data?: ListTasksCommandOutput) => void): void;
    listTasks(args: ListTasksCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: ListTasksCommandOutput) => void): void;
    
    startTaskExecution(args: StartTaskExecutionCommandInput, options?: __HttpHandlerOptions): Promise<StartTaskExecutionCommandOutput>;
    startTaskExecution(args: StartTaskExecutionCommandInput, cb: (err: any, data?: StartTaskExecutionCommandOutput) => void): void;
    startTaskExecution(args: StartTaskExecutionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: StartTaskExecutionCommandOutput) => void): void;
    
    tagResource(args: TagResourceCommandInput, options?: __HttpHandlerOptions): Promise<TagResourceCommandOutput>;
    tagResource(args: TagResourceCommandInput, cb: (err: any, data?: TagResourceCommandOutput) => void): void;
    tagResource(args: TagResourceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: TagResourceCommandOutput) => void): void;
    
    untagResource(args: UntagResourceCommandInput, options?: __HttpHandlerOptions): Promise<UntagResourceCommandOutput>;
    untagResource(args: UntagResourceCommandInput, cb: (err: any, data?: UntagResourceCommandOutput) => void): void;
    untagResource(args: UntagResourceCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UntagResourceCommandOutput) => void): void;
    
    updateAgent(args: UpdateAgentCommandInput, options?: __HttpHandlerOptions): Promise<UpdateAgentCommandOutput>;
    updateAgent(args: UpdateAgentCommandInput, cb: (err: any, data?: UpdateAgentCommandOutput) => void): void;
    updateAgent(args: UpdateAgentCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateAgentCommandOutput) => void): void;
    
    updateLocationHdfs(args: UpdateLocationHdfsCommandInput, options?: __HttpHandlerOptions): Promise<UpdateLocationHdfsCommandOutput>;
    updateLocationHdfs(args: UpdateLocationHdfsCommandInput, cb: (err: any, data?: UpdateLocationHdfsCommandOutput) => void): void;
    updateLocationHdfs(args: UpdateLocationHdfsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateLocationHdfsCommandOutput) => void): void;
    
    updateLocationNfs(args: UpdateLocationNfsCommandInput, options?: __HttpHandlerOptions): Promise<UpdateLocationNfsCommandOutput>;
    updateLocationNfs(args: UpdateLocationNfsCommandInput, cb: (err: any, data?: UpdateLocationNfsCommandOutput) => void): void;
    updateLocationNfs(args: UpdateLocationNfsCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateLocationNfsCommandOutput) => void): void;
    
    updateLocationObjectStorage(args: UpdateLocationObjectStorageCommandInput, options?: __HttpHandlerOptions): Promise<UpdateLocationObjectStorageCommandOutput>;
    updateLocationObjectStorage(args: UpdateLocationObjectStorageCommandInput, cb: (err: any, data?: UpdateLocationObjectStorageCommandOutput) => void): void;
    updateLocationObjectStorage(args: UpdateLocationObjectStorageCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateLocationObjectStorageCommandOutput) => void): void;
    
    updateLocationSmb(args: UpdateLocationSmbCommandInput, options?: __HttpHandlerOptions): Promise<UpdateLocationSmbCommandOutput>;
    updateLocationSmb(args: UpdateLocationSmbCommandInput, cb: (err: any, data?: UpdateLocationSmbCommandOutput) => void): void;
    updateLocationSmb(args: UpdateLocationSmbCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateLocationSmbCommandOutput) => void): void;
    
    updateTask(args: UpdateTaskCommandInput, options?: __HttpHandlerOptions): Promise<UpdateTaskCommandOutput>;
    updateTask(args: UpdateTaskCommandInput, cb: (err: any, data?: UpdateTaskCommandOutput) => void): void;
    updateTask(args: UpdateTaskCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateTaskCommandOutput) => void): void;
    
    updateTaskExecution(args: UpdateTaskExecutionCommandInput, options?: __HttpHandlerOptions): Promise<UpdateTaskExecutionCommandOutput>;
    updateTaskExecution(args: UpdateTaskExecutionCommandInput, cb: (err: any, data?: UpdateTaskExecutionCommandOutput) => void): void;
    updateTaskExecution(args: UpdateTaskExecutionCommandInput, options: __HttpHandlerOptions, cb: (err: any, data?: UpdateTaskExecutionCommandOutput) => void): void;
}
