import { EndpointsInputConfig, EndpointsResolvedConfig, RegionInputConfig, RegionResolvedConfig } from "@aws-sdk/config-resolver";
import { HostHeaderInputConfig, HostHeaderResolvedConfig } from "@aws-sdk/middleware-host-header";
import { RetryInputConfig, RetryResolvedConfig } from "@aws-sdk/middleware-retry";
import { AwsAuthInputConfig, AwsAuthResolvedConfig } from "@aws-sdk/middleware-signing";
import { UserAgentInputConfig, UserAgentResolvedConfig } from "@aws-sdk/middleware-user-agent";
import { HttpHandler as __HttpHandler } from "@aws-sdk/protocol-http";
import { Client as __Client, DefaultsMode, SmithyConfiguration as __SmithyConfiguration, SmithyResolvedConfiguration as __SmithyResolvedConfiguration } from "@aws-sdk/smithy-client";
import { BodyLengthCalculator as __BodyLengthCalculator, Credentials as __Credentials, Decoder as __Decoder, Encoder as __Encoder, HashConstructor as __HashConstructor, HttpHandlerOptions as __HttpHandlerOptions, Logger as __Logger, Provider as __Provider, Provider, RegionInfoProvider, StreamCollector as __StreamCollector, UrlParser as __UrlParser, UserAgent as __UserAgent } from "@aws-sdk/types";
import { CancelTaskExecutionCommandInput, CancelTaskExecutionCommandOutput } from "./commands/CancelTaskExecutionCommand";
import { CreateAgentCommandInput, CreateAgentCommandOutput } from "./commands/CreateAgentCommand";
import { CreateLocationEfsCommandInput, CreateLocationEfsCommandOutput } from "./commands/CreateLocationEfsCommand";
import { CreateLocationFsxLustreCommandInput, CreateLocationFsxLustreCommandOutput } from "./commands/CreateLocationFsxLustreCommand";
import { CreateLocationFsxOpenZfsCommandInput, CreateLocationFsxOpenZfsCommandOutput } from "./commands/CreateLocationFsxOpenZfsCommand";
import { CreateLocationFsxWindowsCommandInput, CreateLocationFsxWindowsCommandOutput } from "./commands/CreateLocationFsxWindowsCommand";
import { CreateLocationHdfsCommandInput, CreateLocationHdfsCommandOutput } from "./commands/CreateLocationHdfsCommand";
import { CreateLocationNfsCommandInput, CreateLocationNfsCommandOutput } from "./commands/CreateLocationNfsCommand";
import { CreateLocationObjectStorageCommandInput, CreateLocationObjectStorageCommandOutput } from "./commands/CreateLocationObjectStorageCommand";
import { CreateLocationS3CommandInput, CreateLocationS3CommandOutput } from "./commands/CreateLocationS3Command";
import { CreateLocationSmbCommandInput, CreateLocationSmbCommandOutput } from "./commands/CreateLocationSmbCommand";
import { CreateTaskCommandInput, CreateTaskCommandOutput } from "./commands/CreateTaskCommand";
import { DeleteAgentCommandInput, DeleteAgentCommandOutput } from "./commands/DeleteAgentCommand";
import { DeleteLocationCommandInput, DeleteLocationCommandOutput } from "./commands/DeleteLocationCommand";
import { DeleteTaskCommandInput, DeleteTaskCommandOutput } from "./commands/DeleteTaskCommand";
import { DescribeAgentCommandInput, DescribeAgentCommandOutput } from "./commands/DescribeAgentCommand";
import { DescribeLocationEfsCommandInput, DescribeLocationEfsCommandOutput } from "./commands/DescribeLocationEfsCommand";
import { DescribeLocationFsxLustreCommandInput, DescribeLocationFsxLustreCommandOutput } from "./commands/DescribeLocationFsxLustreCommand";
import { DescribeLocationFsxOpenZfsCommandInput, DescribeLocationFsxOpenZfsCommandOutput } from "./commands/DescribeLocationFsxOpenZfsCommand";
import { DescribeLocationFsxWindowsCommandInput, DescribeLocationFsxWindowsCommandOutput } from "./commands/DescribeLocationFsxWindowsCommand";
import { DescribeLocationHdfsCommandInput, DescribeLocationHdfsCommandOutput } from "./commands/DescribeLocationHdfsCommand";
import { DescribeLocationNfsCommandInput, DescribeLocationNfsCommandOutput } from "./commands/DescribeLocationNfsCommand";
import { DescribeLocationObjectStorageCommandInput, DescribeLocationObjectStorageCommandOutput } from "./commands/DescribeLocationObjectStorageCommand";
import { DescribeLocationS3CommandInput, DescribeLocationS3CommandOutput } from "./commands/DescribeLocationS3Command";
import { DescribeLocationSmbCommandInput, DescribeLocationSmbCommandOutput } from "./commands/DescribeLocationSmbCommand";
import { DescribeTaskCommandInput, DescribeTaskCommandOutput } from "./commands/DescribeTaskCommand";
import { DescribeTaskExecutionCommandInput, DescribeTaskExecutionCommandOutput } from "./commands/DescribeTaskExecutionCommand";
import { ListAgentsCommandInput, ListAgentsCommandOutput } from "./commands/ListAgentsCommand";
import { ListLocationsCommandInput, ListLocationsCommandOutput } from "./commands/ListLocationsCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "./commands/ListTagsForResourceCommand";
import { ListTaskExecutionsCommandInput, ListTaskExecutionsCommandOutput } from "./commands/ListTaskExecutionsCommand";
import { ListTasksCommandInput, ListTasksCommandOutput } from "./commands/ListTasksCommand";
import { StartTaskExecutionCommandInput, StartTaskExecutionCommandOutput } from "./commands/StartTaskExecutionCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "./commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "./commands/UntagResourceCommand";
import { UpdateAgentCommandInput, UpdateAgentCommandOutput } from "./commands/UpdateAgentCommand";
import { UpdateLocationHdfsCommandInput, UpdateLocationHdfsCommandOutput } from "./commands/UpdateLocationHdfsCommand";
import { UpdateLocationNfsCommandInput, UpdateLocationNfsCommandOutput } from "./commands/UpdateLocationNfsCommand";
import { UpdateLocationObjectStorageCommandInput, UpdateLocationObjectStorageCommandOutput } from "./commands/UpdateLocationObjectStorageCommand";
import { UpdateLocationSmbCommandInput, UpdateLocationSmbCommandOutput } from "./commands/UpdateLocationSmbCommand";
import { UpdateTaskCommandInput, UpdateTaskCommandOutput } from "./commands/UpdateTaskCommand";
import { UpdateTaskExecutionCommandInput, UpdateTaskExecutionCommandOutput } from "./commands/UpdateTaskExecutionCommand";
export declare type ServiceInputTypes = CancelTaskExecutionCommandInput | CreateAgentCommandInput | CreateLocationEfsCommandInput | CreateLocationFsxLustreCommandInput | CreateLocationFsxOpenZfsCommandInput | CreateLocationFsxWindowsCommandInput | CreateLocationHdfsCommandInput | CreateLocationNfsCommandInput | CreateLocationObjectStorageCommandInput | CreateLocationS3CommandInput | CreateLocationSmbCommandInput | CreateTaskCommandInput | DeleteAgentCommandInput | DeleteLocationCommandInput | DeleteTaskCommandInput | DescribeAgentCommandInput | DescribeLocationEfsCommandInput | DescribeLocationFsxLustreCommandInput | DescribeLocationFsxOpenZfsCommandInput | DescribeLocationFsxWindowsCommandInput | DescribeLocationHdfsCommandInput | DescribeLocationNfsCommandInput | DescribeLocationObjectStorageCommandInput | DescribeLocationS3CommandInput | DescribeLocationSmbCommandInput | DescribeTaskCommandInput | DescribeTaskExecutionCommandInput | ListAgentsCommandInput | ListLocationsCommandInput | ListTagsForResourceCommandInput | ListTaskExecutionsCommandInput | ListTasksCommandInput | StartTaskExecutionCommandInput | TagResourceCommandInput | UntagResourceCommandInput | UpdateAgentCommandInput | UpdateLocationHdfsCommandInput | UpdateLocationNfsCommandInput | UpdateLocationObjectStorageCommandInput | UpdateLocationSmbCommandInput | UpdateTaskCommandInput | UpdateTaskExecutionCommandInput;
export declare type ServiceOutputTypes = CancelTaskExecutionCommandOutput | CreateAgentCommandOutput | CreateLocationEfsCommandOutput | CreateLocationFsxLustreCommandOutput | CreateLocationFsxOpenZfsCommandOutput | CreateLocationFsxWindowsCommandOutput | CreateLocationHdfsCommandOutput | CreateLocationNfsCommandOutput | CreateLocationObjectStorageCommandOutput | CreateLocationS3CommandOutput | CreateLocationSmbCommandOutput | CreateTaskCommandOutput | DeleteAgentCommandOutput | DeleteLocationCommandOutput | DeleteTaskCommandOutput | DescribeAgentCommandOutput | DescribeLocationEfsCommandOutput | DescribeLocationFsxLustreCommandOutput | DescribeLocationFsxOpenZfsCommandOutput | DescribeLocationFsxWindowsCommandOutput | DescribeLocationHdfsCommandOutput | DescribeLocationNfsCommandOutput | DescribeLocationObjectStorageCommandOutput | DescribeLocationS3CommandOutput | DescribeLocationSmbCommandOutput | DescribeTaskCommandOutput | DescribeTaskExecutionCommandOutput | ListAgentsCommandOutput | ListLocationsCommandOutput | ListTagsForResourceCommandOutput | ListTaskExecutionsCommandOutput | ListTasksCommandOutput | StartTaskExecutionCommandOutput | TagResourceCommandOutput | UntagResourceCommandOutput | UpdateAgentCommandOutput | UpdateLocationHdfsCommandOutput | UpdateLocationNfsCommandOutput | UpdateLocationObjectStorageCommandOutput | UpdateLocationSmbCommandOutput | UpdateTaskCommandOutput | UpdateTaskExecutionCommandOutput;
export interface ClientDefaults extends Partial<__SmithyResolvedConfiguration<__HttpHandlerOptions>> {
    
    requestHandler?: __HttpHandler;
    
    sha256?: __HashConstructor;
    
    urlParser?: __UrlParser;
    
    bodyLengthChecker?: __BodyLengthCalculator;
    
    streamCollector?: __StreamCollector;
    
    base64Decoder?: __Decoder;
    
    base64Encoder?: __Encoder;
    
    utf8Decoder?: __Decoder;
    
    utf8Encoder?: __Encoder;
    
    runtime?: string;
    
    disableHostPrefix?: boolean;
    
    maxAttempts?: number | __Provider<number>;
    
    retryMode?: string | __Provider<string>;
    
    logger?: __Logger;
    
    useDualstackEndpoint?: boolean | __Provider<boolean>;
    
    useFipsEndpoint?: boolean | __Provider<boolean>;
    
    serviceId?: string;
    
    region?: string | __Provider<string>;
    
    credentialDefaultProvider?: (input: any) => __Provider<__Credentials>;
    
    regionInfoProvider?: RegionInfoProvider;
    
    defaultUserAgentProvider?: Provider<__UserAgent>;
    
    defaultsMode?: DefaultsMode | Provider<DefaultsMode>;
}
declare type DataSyncClientConfigType = Partial<__SmithyConfiguration<__HttpHandlerOptions>> & ClientDefaults & RegionInputConfig & EndpointsInputConfig & RetryInputConfig & HostHeaderInputConfig & AwsAuthInputConfig & UserAgentInputConfig;

export interface DataSyncClientConfig extends DataSyncClientConfigType {
}
declare type DataSyncClientResolvedConfigType = __SmithyResolvedConfiguration<__HttpHandlerOptions> & Required<ClientDefaults> & RegionResolvedConfig & EndpointsResolvedConfig & RetryResolvedConfig & HostHeaderResolvedConfig & AwsAuthResolvedConfig & UserAgentResolvedConfig;

export interface DataSyncClientResolvedConfig extends DataSyncClientResolvedConfigType {
}

export declare class DataSyncClient extends __Client<__HttpHandlerOptions, ServiceInputTypes, ServiceOutputTypes, DataSyncClientResolvedConfig> {
    
    readonly config: DataSyncClientResolvedConfig;
    constructor(configuration: DataSyncClientConfig);
    
    destroy(): void;
}
export {};
