import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { CancelTaskExecutionRequest, CancelTaskExecutionResponse } from "../models/models_0";
export interface CancelTaskExecutionCommandInput extends CancelTaskExecutionRequest {
}
export interface CancelTaskExecutionCommandOutput extends CancelTaskExecutionResponse, __MetadataBearer {
}

export declare class CancelTaskExecutionCommand extends $Command<CancelTaskExecutionCommandInput, CancelTaskExecutionCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: CancelTaskExecutionCommandInput;
    constructor(input: CancelTaskExecutionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CancelTaskExecutionCommandInput, CancelTaskExecutionCommandOutput>;
    private serialize;
    private deserialize;
}
