import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { CreateAgentRequest, CreateAgentResponse } from "../models/models_0";
export interface CreateAgentCommandInput extends CreateAgentRequest {
}
export interface CreateAgentCommandOutput extends CreateAgentResponse, __MetadataBearer {
}

export declare class CreateAgentCommand extends $Command<CreateAgentCommandInput, CreateAgentCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: CreateAgentCommandInput;
    constructor(input: CreateAgentCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateAgentCommandInput, CreateAgentCommandOutput>;
    private serialize;
    private deserialize;
}
