import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { CreateLocationEfsRequest, CreateLocationEfsResponse } from "../models/models_0";
export interface CreateLocationEfsCommandInput extends CreateLocationEfsRequest {
}
export interface CreateLocationEfsCommandOutput extends CreateLocationEfsResponse, __MetadataBearer {
}

export declare class CreateLocationEfsCommand extends $Command<CreateLocationEfsCommandInput, CreateLocationEfsCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: CreateLocationEfsCommandInput;
    constructor(input: CreateLocationEfsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateLocationEfsCommandInput, CreateLocationEfsCommandOutput>;
    private serialize;
    private deserialize;
}
