import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { CreateLocationFsxWindowsRequest, CreateLocationFsxWindowsResponse } from "../models/models_0";
export interface CreateLocationFsxWindowsCommandInput extends CreateLocationFsxWindowsRequest {
}
export interface CreateLocationFsxWindowsCommandOutput extends CreateLocationFsxWindowsResponse, __MetadataBearer {
}

export declare class CreateLocationFsxWindowsCommand extends $Command<CreateLocationFsxWindowsCommandInput, CreateLocationFsxWindowsCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: CreateLocationFsxWindowsCommandInput;
    constructor(input: CreateLocationFsxWindowsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateLocationFsxWindowsCommandInput, CreateLocationFsxWindowsCommandOutput>;
    private serialize;
    private deserialize;
}
