import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { CreateLocationHdfsRequest, CreateLocationHdfsResponse } from "../models/models_0";
export interface CreateLocationHdfsCommandInput extends CreateLocationHdfsRequest {
}
export interface CreateLocationHdfsCommandOutput extends CreateLocationHdfsResponse, __MetadataBearer {
}

export declare class CreateLocationHdfsCommand extends $Command<CreateLocationHdfsCommandInput, CreateLocationHdfsCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: CreateLocationHdfsCommandInput;
    constructor(input: CreateLocationHdfsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateLocationHdfsCommandInput, CreateLocationHdfsCommandOutput>;
    private serialize;
    private deserialize;
}
