import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { CreateLocationNfsRequest, CreateLocationNfsResponse } from "../models/models_0";
export interface CreateLocationNfsCommandInput extends CreateLocationNfsRequest {
}
export interface CreateLocationNfsCommandOutput extends CreateLocationNfsResponse, __MetadataBearer {
}

export declare class CreateLocationNfsCommand extends $Command<CreateLocationNfsCommandInput, CreateLocationNfsCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: CreateLocationNfsCommandInput;
    constructor(input: CreateLocationNfsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateLocationNfsCommandInput, CreateLocationNfsCommandOutput>;
    private serialize;
    private deserialize;
}
