import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { CreateLocationObjectStorageRequest, CreateLocationObjectStorageResponse } from "../models/models_0";
export interface CreateLocationObjectStorageCommandInput extends CreateLocationObjectStorageRequest {
}
export interface CreateLocationObjectStorageCommandOutput extends CreateLocationObjectStorageResponse, __MetadataBearer {
}

export declare class CreateLocationObjectStorageCommand extends $Command<CreateLocationObjectStorageCommandInput, CreateLocationObjectStorageCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: CreateLocationObjectStorageCommandInput;
    constructor(input: CreateLocationObjectStorageCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateLocationObjectStorageCommandInput, CreateLocationObjectStorageCommandOutput>;
    private serialize;
    private deserialize;
}
