import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { CreateLocationS3Request, CreateLocationS3Response } from "../models/models_0";
export interface CreateLocationS3CommandInput extends CreateLocationS3Request {
}
export interface CreateLocationS3CommandOutput extends CreateLocationS3Response, __MetadataBearer {
}

export declare class CreateLocationS3Command extends $Command<CreateLocationS3CommandInput, CreateLocationS3CommandOutput, DataSyncClientResolvedConfig> {
    readonly input: CreateLocationS3CommandInput;
    constructor(input: CreateLocationS3CommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateLocationS3CommandInput, CreateLocationS3CommandOutput>;
    private serialize;
    private deserialize;
}
