import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { CreateLocationSmbRequest, CreateLocationSmbResponse } from "../models/models_0";
export interface CreateLocationSmbCommandInput extends CreateLocationSmbRequest {
}
export interface CreateLocationSmbCommandOutput extends CreateLocationSmbResponse, __MetadataBearer {
}

export declare class CreateLocationSmbCommand extends $Command<CreateLocationSmbCommandInput, CreateLocationSmbCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: CreateLocationSmbCommandInput;
    constructor(input: CreateLocationSmbCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateLocationSmbCommandInput, CreateLocationSmbCommandOutput>;
    private serialize;
    private deserialize;
}
