import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { CreateTaskRequest, CreateTaskResponse } from "../models/models_0";
export interface CreateTaskCommandInput extends CreateTaskRequest {
}
export interface CreateTaskCommandOutput extends CreateTaskResponse, __MetadataBearer {
}

export declare class CreateTaskCommand extends $Command<CreateTaskCommandInput, CreateTaskCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: CreateTaskCommandInput;
    constructor(input: CreateTaskCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateTaskCommandInput, CreateTaskCommandOutput>;
    private serialize;
    private deserialize;
}
