import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { DeleteAgentRequest, DeleteAgentResponse } from "../models/models_0";
export interface DeleteAgentCommandInput extends DeleteAgentRequest {
}
export interface DeleteAgentCommandOutput extends DeleteAgentResponse, __MetadataBearer {
}

export declare class DeleteAgentCommand extends $Command<DeleteAgentCommandInput, DeleteAgentCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: DeleteAgentCommandInput;
    constructor(input: DeleteAgentCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteAgentCommandInput, DeleteAgentCommandOutput>;
    private serialize;
    private deserialize;
}
