import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { DeleteLocationRequest, DeleteLocationResponse } from "../models/models_0";
export interface DeleteLocationCommandInput extends DeleteLocationRequest {
}
export interface DeleteLocationCommandOutput extends DeleteLocationResponse, __MetadataBearer {
}

export declare class DeleteLocationCommand extends $Command<DeleteLocationCommandInput, DeleteLocationCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: DeleteLocationCommandInput;
    constructor(input: DeleteLocationCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteLocationCommandInput, DeleteLocationCommandOutput>;
    private serialize;
    private deserialize;
}
