import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { DeleteTaskRequest, DeleteTaskResponse } from "../models/models_0";
export interface DeleteTaskCommandInput extends DeleteTaskRequest {
}
export interface DeleteTaskCommandOutput extends DeleteTaskResponse, __MetadataBearer {
}

export declare class DeleteTaskCommand extends $Command<DeleteTaskCommandInput, DeleteTaskCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: DeleteTaskCommandInput;
    constructor(input: DeleteTaskCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DeleteTaskCommandInput, DeleteTaskCommandOutput>;
    private serialize;
    private deserialize;
}
