import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { DescribeAgentRequest, DescribeAgentResponse } from "../models/models_0";
export interface DescribeAgentCommandInput extends DescribeAgentRequest {
}
export interface DescribeAgentCommandOutput extends DescribeAgentResponse, __MetadataBearer {
}

export declare class DescribeAgentCommand extends $Command<DescribeAgentCommandInput, DescribeAgentCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: DescribeAgentCommandInput;
    constructor(input: DescribeAgentCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeAgentCommandInput, DescribeAgentCommandOutput>;
    private serialize;
    private deserialize;
}
