import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { DescribeLocationEfsRequest, DescribeLocationEfsResponse } from "../models/models_0";
export interface DescribeLocationEfsCommandInput extends DescribeLocationEfsRequest {
}
export interface DescribeLocationEfsCommandOutput extends DescribeLocationEfsResponse, __MetadataBearer {
}

export declare class DescribeLocationEfsCommand extends $Command<DescribeLocationEfsCommandInput, DescribeLocationEfsCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: DescribeLocationEfsCommandInput;
    constructor(input: DescribeLocationEfsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeLocationEfsCommandInput, DescribeLocationEfsCommandOutput>;
    private serialize;
    private deserialize;
}
