import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { DescribeLocationFsxWindowsRequest, DescribeLocationFsxWindowsResponse } from "../models/models_0";
export interface DescribeLocationFsxWindowsCommandInput extends DescribeLocationFsxWindowsRequest {
}
export interface DescribeLocationFsxWindowsCommandOutput extends DescribeLocationFsxWindowsResponse, __MetadataBearer {
}

export declare class DescribeLocationFsxWindowsCommand extends $Command<DescribeLocationFsxWindowsCommandInput, DescribeLocationFsxWindowsCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: DescribeLocationFsxWindowsCommandInput;
    constructor(input: DescribeLocationFsxWindowsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeLocationFsxWindowsCommandInput, DescribeLocationFsxWindowsCommandOutput>;
    private serialize;
    private deserialize;
}
