import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { DescribeLocationHdfsRequest, DescribeLocationHdfsResponse } from "../models/models_0";
export interface DescribeLocationHdfsCommandInput extends DescribeLocationHdfsRequest {
}
export interface DescribeLocationHdfsCommandOutput extends DescribeLocationHdfsResponse, __MetadataBearer {
}

export declare class DescribeLocationHdfsCommand extends $Command<DescribeLocationHdfsCommandInput, DescribeLocationHdfsCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: DescribeLocationHdfsCommandInput;
    constructor(input: DescribeLocationHdfsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeLocationHdfsCommandInput, DescribeLocationHdfsCommandOutput>;
    private serialize;
    private deserialize;
}
