import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { DescribeLocationNfsRequest, DescribeLocationNfsResponse } from "../models/models_0";
export interface DescribeLocationNfsCommandInput extends DescribeLocationNfsRequest {
}
export interface DescribeLocationNfsCommandOutput extends DescribeLocationNfsResponse, __MetadataBearer {
}

export declare class DescribeLocationNfsCommand extends $Command<DescribeLocationNfsCommandInput, DescribeLocationNfsCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: DescribeLocationNfsCommandInput;
    constructor(input: DescribeLocationNfsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeLocationNfsCommandInput, DescribeLocationNfsCommandOutput>;
    private serialize;
    private deserialize;
}
