import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { DescribeLocationObjectStorageRequest, DescribeLocationObjectStorageResponse } from "../models/models_0";
export interface DescribeLocationObjectStorageCommandInput extends DescribeLocationObjectStorageRequest {
}
export interface DescribeLocationObjectStorageCommandOutput extends DescribeLocationObjectStorageResponse, __MetadataBearer {
}

export declare class DescribeLocationObjectStorageCommand extends $Command<DescribeLocationObjectStorageCommandInput, DescribeLocationObjectStorageCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: DescribeLocationObjectStorageCommandInput;
    constructor(input: DescribeLocationObjectStorageCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeLocationObjectStorageCommandInput, DescribeLocationObjectStorageCommandOutput>;
    private serialize;
    private deserialize;
}
