import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { DescribeLocationS3Request, DescribeLocationS3Response } from "../models/models_0";
export interface DescribeLocationS3CommandInput extends DescribeLocationS3Request {
}
export interface DescribeLocationS3CommandOutput extends DescribeLocationS3Response, __MetadataBearer {
}

export declare class DescribeLocationS3Command extends $Command<DescribeLocationS3CommandInput, DescribeLocationS3CommandOutput, DataSyncClientResolvedConfig> {
    readonly input: DescribeLocationS3CommandInput;
    constructor(input: DescribeLocationS3CommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeLocationS3CommandInput, DescribeLocationS3CommandOutput>;
    private serialize;
    private deserialize;
}
