import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { DescribeLocationSmbRequest, DescribeLocationSmbResponse } from "../models/models_0";
export interface DescribeLocationSmbCommandInput extends DescribeLocationSmbRequest {
}
export interface DescribeLocationSmbCommandOutput extends DescribeLocationSmbResponse, __MetadataBearer {
}

export declare class DescribeLocationSmbCommand extends $Command<DescribeLocationSmbCommandInput, DescribeLocationSmbCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: DescribeLocationSmbCommandInput;
    constructor(input: DescribeLocationSmbCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeLocationSmbCommandInput, DescribeLocationSmbCommandOutput>;
    private serialize;
    private deserialize;
}
