import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { DescribeTaskRequest, DescribeTaskResponse } from "../models/models_0";
export interface DescribeTaskCommandInput extends DescribeTaskRequest {
}
export interface DescribeTaskCommandOutput extends DescribeTaskResponse, __MetadataBearer {
}

export declare class DescribeTaskCommand extends $Command<DescribeTaskCommandInput, DescribeTaskCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: DescribeTaskCommandInput;
    constructor(input: DescribeTaskCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeTaskCommandInput, DescribeTaskCommandOutput>;
    private serialize;
    private deserialize;
}
