import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { DescribeTaskExecutionRequest, DescribeTaskExecutionResponse } from "../models/models_0";
export interface DescribeTaskExecutionCommandInput extends DescribeTaskExecutionRequest {
}
export interface DescribeTaskExecutionCommandOutput extends DescribeTaskExecutionResponse, __MetadataBearer {
}

export declare class DescribeTaskExecutionCommand extends $Command<DescribeTaskExecutionCommandInput, DescribeTaskExecutionCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: DescribeTaskExecutionCommandInput;
    constructor(input: DescribeTaskExecutionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeTaskExecutionCommandInput, DescribeTaskExecutionCommandOutput>;
    private serialize;
    private deserialize;
}
