import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { ListAgentsRequest, ListAgentsResponse } from "../models/models_0";
export interface ListAgentsCommandInput extends ListAgentsRequest {
}
export interface ListAgentsCommandOutput extends ListAgentsResponse, __MetadataBearer {
}

export declare class ListAgentsCommand extends $Command<ListAgentsCommandInput, ListAgentsCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: ListAgentsCommandInput;
    constructor(input: ListAgentsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListAgentsCommandInput, ListAgentsCommandOutput>;
    private serialize;
    private deserialize;
}
