import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { ListLocationsRequest, ListLocationsResponse } from "../models/models_0";
export interface ListLocationsCommandInput extends ListLocationsRequest {
}
export interface ListLocationsCommandOutput extends ListLocationsResponse, __MetadataBearer {
}

export declare class ListLocationsCommand extends $Command<ListLocationsCommandInput, ListLocationsCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: ListLocationsCommandInput;
    constructor(input: ListLocationsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListLocationsCommandInput, ListLocationsCommandOutput>;
    private serialize;
    private deserialize;
}
