import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { ListTaskExecutionsRequest, ListTaskExecutionsResponse } from "../models/models_0";
export interface ListTaskExecutionsCommandInput extends ListTaskExecutionsRequest {
}
export interface ListTaskExecutionsCommandOutput extends ListTaskExecutionsResponse, __MetadataBearer {
}

export declare class ListTaskExecutionsCommand extends $Command<ListTaskExecutionsCommandInput, ListTaskExecutionsCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: ListTaskExecutionsCommandInput;
    constructor(input: ListTaskExecutionsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListTaskExecutionsCommandInput, ListTaskExecutionsCommandOutput>;
    private serialize;
    private deserialize;
}
