import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { StartTaskExecutionRequest, StartTaskExecutionResponse } from "../models/models_0";
export interface StartTaskExecutionCommandInput extends StartTaskExecutionRequest {
}
export interface StartTaskExecutionCommandOutput extends StartTaskExecutionResponse, __MetadataBearer {
}

export declare class StartTaskExecutionCommand extends $Command<StartTaskExecutionCommandInput, StartTaskExecutionCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: StartTaskExecutionCommandInput;
    constructor(input: StartTaskExecutionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<StartTaskExecutionCommandInput, StartTaskExecutionCommandOutput>;
    private serialize;
    private deserialize;
}
