import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { UpdateAgentRequest, UpdateAgentResponse } from "../models/models_0";
export interface UpdateAgentCommandInput extends UpdateAgentRequest {
}
export interface UpdateAgentCommandOutput extends UpdateAgentResponse, __MetadataBearer {
}

export declare class UpdateAgentCommand extends $Command<UpdateAgentCommandInput, UpdateAgentCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: UpdateAgentCommandInput;
    constructor(input: UpdateAgentCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateAgentCommandInput, UpdateAgentCommandOutput>;
    private serialize;
    private deserialize;
}
