import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { UpdateLocationObjectStorageRequest, UpdateLocationObjectStorageResponse } from "../models/models_0";
export interface UpdateLocationObjectStorageCommandInput extends UpdateLocationObjectStorageRequest {
}
export interface UpdateLocationObjectStorageCommandOutput extends UpdateLocationObjectStorageResponse, __MetadataBearer {
}

export declare class UpdateLocationObjectStorageCommand extends $Command<UpdateLocationObjectStorageCommandInput, UpdateLocationObjectStorageCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: UpdateLocationObjectStorageCommandInput;
    constructor(input: UpdateLocationObjectStorageCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateLocationObjectStorageCommandInput, UpdateLocationObjectStorageCommandOutput>;
    private serialize;
    private deserialize;
}
