import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { UpdateTaskRequest, UpdateTaskResponse } from "../models/models_0";
export interface UpdateTaskCommandInput extends UpdateTaskRequest {
}
export interface UpdateTaskCommandOutput extends UpdateTaskResponse, __MetadataBearer {
}

export declare class UpdateTaskCommand extends $Command<UpdateTaskCommandInput, UpdateTaskCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: UpdateTaskCommandInput;
    constructor(input: UpdateTaskCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateTaskCommandInput, UpdateTaskCommandOutput>;
    private serialize;
    private deserialize;
}
