import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { DataSyncClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataSyncClient";
import { UpdateTaskExecutionRequest, UpdateTaskExecutionResponse } from "../models/models_0";
export interface UpdateTaskExecutionCommandInput extends UpdateTaskExecutionRequest {
}
export interface UpdateTaskExecutionCommandOutput extends UpdateTaskExecutionResponse, __MetadataBearer {
}

export declare class UpdateTaskExecutionCommand extends $Command<UpdateTaskExecutionCommandInput, UpdateTaskExecutionCommandOutput, DataSyncClientResolvedConfig> {
    readonly input: UpdateTaskExecutionCommandInput;
    constructor(input: UpdateTaskExecutionCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: DataSyncClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateTaskExecutionCommandInput, UpdateTaskExecutionCommandOutput>;
    private serialize;
    private deserialize;
}
