import { ExceptionOptionType as __ExceptionOptionType } from "@aws-sdk/smithy-client";
import { DataSyncServiceException as __BaseException } from "./DataSyncServiceException";
export declare enum AgentStatus {
    OFFLINE = "OFFLINE",
    ONLINE = "ONLINE"
}

export interface AgentListEntry {
    
    AgentArn?: string;
    
    Name?: string;
    
    Status?: AgentStatus | string;
}
export declare namespace AgentListEntry {
    
    const filterSensitiveLog: (obj: AgentListEntry) => any;
}
export declare enum Atime {
    BEST_EFFORT = "BEST_EFFORT",
    NONE = "NONE"
}

export interface CancelTaskExecutionRequest {
    
    TaskExecutionArn: string | undefined;
}
export declare namespace CancelTaskExecutionRequest {
    
    const filterSensitiveLog: (obj: CancelTaskExecutionRequest) => any;
}
export interface CancelTaskExecutionResponse {
}
export declare namespace CancelTaskExecutionResponse {
    
    const filterSensitiveLog: (obj: CancelTaskExecutionResponse) => any;
}

export declare class InternalException extends __BaseException {
    readonly name: "InternalException";
    readonly $fault: "server";
    errorCode?: string;
    
    constructor(opts: __ExceptionOptionType<InternalException, __BaseException>);
}

export declare class InvalidRequestException extends __BaseException {
    readonly name: "InvalidRequestException";
    readonly $fault: "client";
    errorCode?: string;
    
    constructor(opts: __ExceptionOptionType<InvalidRequestException, __BaseException>);
}

export interface TagListEntry {
    
    Key: string | undefined;
    
    Value?: string;
}
export declare namespace TagListEntry {
    
    const filterSensitiveLog: (obj: TagListEntry) => any;
}

export interface CreateAgentRequest {
    
    ActivationKey: string | undefined;
    
    AgentName?: string;
    
    Tags?: TagListEntry[];
    
    VpcEndpointId?: string;
    
    SubnetArns?: string[];
    
    SecurityGroupArns?: string[];
}
export declare namespace CreateAgentRequest {
    
    const filterSensitiveLog: (obj: CreateAgentRequest) => any;
}

export interface CreateAgentResponse {
    
    AgentArn?: string;
}
export declare namespace CreateAgentResponse {
    
    const filterSensitiveLog: (obj: CreateAgentResponse) => any;
}

export interface Ec2Config {
    
    SubnetArn: string | undefined;
    
    SecurityGroupArns: string[] | undefined;
}
export declare namespace Ec2Config {
    
    const filterSensitiveLog: (obj: Ec2Config) => any;
}

export interface CreateLocationEfsRequest {
    
    Subdirectory?: string;
    
    EfsFilesystemArn: string | undefined;
    
    Ec2Config: Ec2Config | undefined;
    
    Tags?: TagListEntry[];
}
export declare namespace CreateLocationEfsRequest {
    
    const filterSensitiveLog: (obj: CreateLocationEfsRequest) => any;
}

export interface CreateLocationEfsResponse {
    
    LocationArn?: string;
}
export declare namespace CreateLocationEfsResponse {
    
    const filterSensitiveLog: (obj: CreateLocationEfsResponse) => any;
}
export interface CreateLocationFsxLustreRequest {
    
    FsxFilesystemArn: string | undefined;
    
    SecurityGroupArns: string[] | undefined;
    
    Subdirectory?: string;
    
    Tags?: TagListEntry[];
}
export declare namespace CreateLocationFsxLustreRequest {
    
    const filterSensitiveLog: (obj: CreateLocationFsxLustreRequest) => any;
}
export interface CreateLocationFsxLustreResponse {
    
    LocationArn?: string;
}
export declare namespace CreateLocationFsxLustreResponse {
    
    const filterSensitiveLog: (obj: CreateLocationFsxLustreResponse) => any;
}
export declare enum NfsVersion {
    AUTOMATIC = "AUTOMATIC",
    NFS3 = "NFS3",
    NFS4_0 = "NFS4_0",
    NFS4_1 = "NFS4_1"
}

export interface NfsMountOptions {
    
    Version?: NfsVersion | string;
}
export declare namespace NfsMountOptions {
    
    const filterSensitiveLog: (obj: NfsMountOptions) => any;
}

export interface FsxProtocolNfs {
    
    MountOptions?: NfsMountOptions;
}
export declare namespace FsxProtocolNfs {
    
    const filterSensitiveLog: (obj: FsxProtocolNfs) => any;
}

export interface FsxProtocol {
    
    NFS?: FsxProtocolNfs;
}
export declare namespace FsxProtocol {
    
    const filterSensitiveLog: (obj: FsxProtocol) => any;
}
export interface CreateLocationFsxOpenZfsRequest {
    
    FsxFilesystemArn: string | undefined;
    
    Protocol: FsxProtocol | undefined;
    
    SecurityGroupArns: string[] | undefined;
    
    Subdirectory?: string;
    
    Tags?: TagListEntry[];
}
export declare namespace CreateLocationFsxOpenZfsRequest {
    
    const filterSensitiveLog: (obj: CreateLocationFsxOpenZfsRequest) => any;
}
export interface CreateLocationFsxOpenZfsResponse {
    
    LocationArn?: string;
}
export declare namespace CreateLocationFsxOpenZfsResponse {
    
    const filterSensitiveLog: (obj: CreateLocationFsxOpenZfsResponse) => any;
}
export interface CreateLocationFsxWindowsRequest {
    
    Subdirectory?: string;
    
    FsxFilesystemArn: string | undefined;
    
    SecurityGroupArns: string[] | undefined;
    
    Tags?: TagListEntry[];
    
    User: string | undefined;
    
    Domain?: string;
    
    Password: string | undefined;
}
export declare namespace CreateLocationFsxWindowsRequest {
    
    const filterSensitiveLog: (obj: CreateLocationFsxWindowsRequest) => any;
}
export interface CreateLocationFsxWindowsResponse {
    
    LocationArn?: string;
}
export declare namespace CreateLocationFsxWindowsResponse {
    
    const filterSensitiveLog: (obj: CreateLocationFsxWindowsResponse) => any;
}
export declare enum HdfsAuthenticationType {
    KERBEROS = "KERBEROS",
    SIMPLE = "SIMPLE"
}

export interface HdfsNameNode {
    
    Hostname: string | undefined;
    
    Port: number | undefined;
}
export declare namespace HdfsNameNode {
    
    const filterSensitiveLog: (obj: HdfsNameNode) => any;
}
export declare enum HdfsDataTransferProtection {
    AUTHENTICATION = "AUTHENTICATION",
    DISABLED = "DISABLED",
    INTEGRITY = "INTEGRITY",
    PRIVACY = "PRIVACY"
}
export declare enum HdfsRpcProtection {
    AUTHENTICATION = "AUTHENTICATION",
    DISABLED = "DISABLED",
    INTEGRITY = "INTEGRITY",
    PRIVACY = "PRIVACY"
}

export interface QopConfiguration {
    
    RpcProtection?: HdfsRpcProtection | string;
    
    DataTransferProtection?: HdfsDataTransferProtection | string;
}
export declare namespace QopConfiguration {
    
    const filterSensitiveLog: (obj: QopConfiguration) => any;
}
export interface CreateLocationHdfsRequest {
    
    Subdirectory?: string;
    
    NameNodes: HdfsNameNode[] | undefined;
    
    BlockSize?: number;
    
    ReplicationFactor?: number;
    
    KmsKeyProviderUri?: string;
    
    QopConfiguration?: QopConfiguration;
    
    AuthenticationType: HdfsAuthenticationType | string | undefined;
    
    SimpleUser?: string;
    
    KerberosPrincipal?: string;
    
    KerberosKeytab?: Uint8Array;
    
    KerberosKrb5Conf?: Uint8Array;
    
    AgentArns: string[] | undefined;
    
    Tags?: TagListEntry[];
}
export declare namespace CreateLocationHdfsRequest {
    
    const filterSensitiveLog: (obj: CreateLocationHdfsRequest) => any;
}
export interface CreateLocationHdfsResponse {
    
    LocationArn?: string;
}
export declare namespace CreateLocationHdfsResponse {
    
    const filterSensitiveLog: (obj: CreateLocationHdfsResponse) => any;
}

export interface OnPremConfig {
    
    AgentArns: string[] | undefined;
}
export declare namespace OnPremConfig {
    
    const filterSensitiveLog: (obj: OnPremConfig) => any;
}

export interface CreateLocationNfsRequest {
    
    Subdirectory: string | undefined;
    
    ServerHostname: string | undefined;
    
    OnPremConfig: OnPremConfig | undefined;
    
    MountOptions?: NfsMountOptions;
    
    Tags?: TagListEntry[];
}
export declare namespace CreateLocationNfsRequest {
    
    const filterSensitiveLog: (obj: CreateLocationNfsRequest) => any;
}

export interface CreateLocationNfsResponse {
    
    LocationArn?: string;
}
export declare namespace CreateLocationNfsResponse {
    
    const filterSensitiveLog: (obj: CreateLocationNfsResponse) => any;
}
export declare enum ObjectStorageServerProtocol {
    HTTP = "HTTP",
    HTTPS = "HTTPS"
}

export interface CreateLocationObjectStorageRequest {
    
    ServerHostname: string | undefined;
    
    ServerPort?: number;
    
    ServerProtocol?: ObjectStorageServerProtocol | string;
    
    Subdirectory?: string;
    
    BucketName: string | undefined;
    
    AccessKey?: string;
    
    SecretKey?: string;
    
    AgentArns: string[] | undefined;
    
    Tags?: TagListEntry[];
}
export declare namespace CreateLocationObjectStorageRequest {
    
    const filterSensitiveLog: (obj: CreateLocationObjectStorageRequest) => any;
}

export interface CreateLocationObjectStorageResponse {
    
    LocationArn?: string;
}
export declare namespace CreateLocationObjectStorageResponse {
    
    const filterSensitiveLog: (obj: CreateLocationObjectStorageResponse) => any;
}

export interface S3Config {
    
    BucketAccessRoleArn: string | undefined;
}
export declare namespace S3Config {
    
    const filterSensitiveLog: (obj: S3Config) => any;
}
export declare enum S3StorageClass {
    DEEP_ARCHIVE = "DEEP_ARCHIVE",
    GLACIER = "GLACIER",
    INTELLIGENT_TIERING = "INTELLIGENT_TIERING",
    ONEZONE_IA = "ONEZONE_IA",
    OUTPOSTS = "OUTPOSTS",
    STANDARD = "STANDARD",
    STANDARD_IA = "STANDARD_IA"
}

export interface CreateLocationS3Request {
    
    Subdirectory?: string;
    
    S3BucketArn: string | undefined;
    
    S3StorageClass?: S3StorageClass | string;
    
    S3Config: S3Config | undefined;
    
    AgentArns?: string[];
    
    Tags?: TagListEntry[];
}
export declare namespace CreateLocationS3Request {
    
    const filterSensitiveLog: (obj: CreateLocationS3Request) => any;
}

export interface CreateLocationS3Response {
    
    LocationArn?: string;
}
export declare namespace CreateLocationS3Response {
    
    const filterSensitiveLog: (obj: CreateLocationS3Response) => any;
}
export declare enum SmbVersion {
    AUTOMATIC = "AUTOMATIC",
    SMB2 = "SMB2",
    SMB3 = "SMB3"
}

export interface SmbMountOptions {
    
    Version?: SmbVersion | string;
}
export declare namespace SmbMountOptions {
    
    const filterSensitiveLog: (obj: SmbMountOptions) => any;
}

export interface CreateLocationSmbRequest {
    
    Subdirectory: string | undefined;
    
    ServerHostname: string | undefined;
    
    User: string | undefined;
    
    Domain?: string;
    
    Password: string | undefined;
    
    AgentArns: string[] | undefined;
    
    MountOptions?: SmbMountOptions;
    
    Tags?: TagListEntry[];
}
export declare namespace CreateLocationSmbRequest {
    
    const filterSensitiveLog: (obj: CreateLocationSmbRequest) => any;
}

export interface CreateLocationSmbResponse {
    
    LocationArn?: string;
}
export declare namespace CreateLocationSmbResponse {
    
    const filterSensitiveLog: (obj: CreateLocationSmbResponse) => any;
}
export declare enum FilterType {
    SIMPLE_PATTERN = "SIMPLE_PATTERN"
}

export interface FilterRule {
    
    FilterType?: FilterType | string;
    
    Value?: string;
}
export declare namespace FilterRule {
    
    const filterSensitiveLog: (obj: FilterRule) => any;
}
export declare enum Gid {
    BOTH = "BOTH",
    INT_VALUE = "INT_VALUE",
    NAME = "NAME",
    NONE = "NONE"
}
export declare enum LogLevel {
    BASIC = "BASIC",
    OFF = "OFF",
    TRANSFER = "TRANSFER"
}
export declare enum Mtime {
    NONE = "NONE",
    PRESERVE = "PRESERVE"
}
export declare enum OverwriteMode {
    ALWAYS = "ALWAYS",
    NEVER = "NEVER"
}
export declare enum PosixPermissions {
    NONE = "NONE",
    PRESERVE = "PRESERVE"
}
export declare enum PreserveDeletedFiles {
    PRESERVE = "PRESERVE",
    REMOVE = "REMOVE"
}
export declare enum PreserveDevices {
    NONE = "NONE",
    PRESERVE = "PRESERVE"
}
export declare enum SmbSecurityDescriptorCopyFlags {
    NONE = "NONE",
    OWNER_DACL = "OWNER_DACL",
    OWNER_DACL_SACL = "OWNER_DACL_SACL"
}
export declare enum TaskQueueing {
    DISABLED = "DISABLED",
    ENABLED = "ENABLED"
}
export declare enum TransferMode {
    ALL = "ALL",
    CHANGED = "CHANGED"
}
export declare enum Uid {
    BOTH = "BOTH",
    INT_VALUE = "INT_VALUE",
    NAME = "NAME",
    NONE = "NONE"
}
export declare enum VerifyMode {
    NONE = "NONE",
    ONLY_FILES_TRANSFERRED = "ONLY_FILES_TRANSFERRED",
    POINT_IN_TIME_CONSISTENT = "POINT_IN_TIME_CONSISTENT"
}

export interface Options {
    
    VerifyMode?: VerifyMode | string;
    
    OverwriteMode?: OverwriteMode | string;
    
    Atime?: Atime | string;
    
    Mtime?: Mtime | string;
    
    Uid?: Uid | string;
    
    Gid?: Gid | string;
    
    PreserveDeletedFiles?: PreserveDeletedFiles | string;
    
    PreserveDevices?: PreserveDevices | string;
    
    PosixPermissions?: PosixPermissions | string;
    
    BytesPerSecond?: number;
    
    TaskQueueing?: TaskQueueing | string;
    
    LogLevel?: LogLevel | string;
    
    TransferMode?: TransferMode | string;
    
    SecurityDescriptorCopyFlags?: SmbSecurityDescriptorCopyFlags | string;
}
export declare namespace Options {
    
    const filterSensitiveLog: (obj: Options) => any;
}

export interface TaskSchedule {
    
    ScheduleExpression: string | undefined;
}
export declare namespace TaskSchedule {
    
    const filterSensitiveLog: (obj: TaskSchedule) => any;
}

export interface CreateTaskRequest {
    
    SourceLocationArn: string | undefined;
    
    DestinationLocationArn: string | undefined;
    
    CloudWatchLogGroupArn?: string;
    
    Name?: string;
    
    Options?: Options;
    
    Excludes?: FilterRule[];
    
    Schedule?: TaskSchedule;
    
    Tags?: TagListEntry[];
    
    Includes?: FilterRule[];
}
export declare namespace CreateTaskRequest {
    
    const filterSensitiveLog: (obj: CreateTaskRequest) => any;
}

export interface CreateTaskResponse {
    
    TaskArn?: string;
}
export declare namespace CreateTaskResponse {
    
    const filterSensitiveLog: (obj: CreateTaskResponse) => any;
}

export interface DeleteAgentRequest {
    
    AgentArn: string | undefined;
}
export declare namespace DeleteAgentRequest {
    
    const filterSensitiveLog: (obj: DeleteAgentRequest) => any;
}
export interface DeleteAgentResponse {
}
export declare namespace DeleteAgentResponse {
    
    const filterSensitiveLog: (obj: DeleteAgentResponse) => any;
}

export interface DeleteLocationRequest {
    
    LocationArn: string | undefined;
}
export declare namespace DeleteLocationRequest {
    
    const filterSensitiveLog: (obj: DeleteLocationRequest) => any;
}
export interface DeleteLocationResponse {
}
export declare namespace DeleteLocationResponse {
    
    const filterSensitiveLog: (obj: DeleteLocationResponse) => any;
}

export interface DeleteTaskRequest {
    
    TaskArn: string | undefined;
}
export declare namespace DeleteTaskRequest {
    
    const filterSensitiveLog: (obj: DeleteTaskRequest) => any;
}
export interface DeleteTaskResponse {
}
export declare namespace DeleteTaskResponse {
    
    const filterSensitiveLog: (obj: DeleteTaskResponse) => any;
}

export interface DescribeAgentRequest {
    
    AgentArn: string | undefined;
}
export declare namespace DescribeAgentRequest {
    
    const filterSensitiveLog: (obj: DescribeAgentRequest) => any;
}
export declare enum EndpointType {
    FIPS = "FIPS",
    PRIVATE_LINK = "PRIVATE_LINK",
    PUBLIC = "PUBLIC"
}

export interface PrivateLinkConfig {
    
    VpcEndpointId?: string;
    
    PrivateLinkEndpoint?: string;
    
    SubnetArns?: string[];
    
    SecurityGroupArns?: string[];
}
export declare namespace PrivateLinkConfig {
    
    const filterSensitiveLog: (obj: PrivateLinkConfig) => any;
}

export interface DescribeAgentResponse {
    
    AgentArn?: string;
    
    Name?: string;
    
    Status?: AgentStatus | string;
    
    LastConnectionTime?: Date;
    
    CreationTime?: Date;
    
    EndpointType?: EndpointType | string;
    
    PrivateLinkConfig?: PrivateLinkConfig;
}
export declare namespace DescribeAgentResponse {
    
    const filterSensitiveLog: (obj: DescribeAgentResponse) => any;
}

export interface DescribeLocationEfsRequest {
    
    LocationArn: string | undefined;
}
export declare namespace DescribeLocationEfsRequest {
    
    const filterSensitiveLog: (obj: DescribeLocationEfsRequest) => any;
}

export interface DescribeLocationEfsResponse {
    
    LocationArn?: string;
    
    LocationUri?: string;
    
    Ec2Config?: Ec2Config;
    
    CreationTime?: Date;
}
export declare namespace DescribeLocationEfsResponse {
    
    const filterSensitiveLog: (obj: DescribeLocationEfsResponse) => any;
}
export interface DescribeLocationFsxLustreRequest {
    
    LocationArn: string | undefined;
}
export declare namespace DescribeLocationFsxLustreRequest {
    
    const filterSensitiveLog: (obj: DescribeLocationFsxLustreRequest) => any;
}
export interface DescribeLocationFsxLustreResponse {
    
    LocationArn?: string;
    
    LocationUri?: string;
    
    SecurityGroupArns?: string[];
    
    CreationTime?: Date;
}
export declare namespace DescribeLocationFsxLustreResponse {
    
    const filterSensitiveLog: (obj: DescribeLocationFsxLustreResponse) => any;
}
export interface DescribeLocationFsxOpenZfsRequest {
    
    LocationArn: string | undefined;
}
export declare namespace DescribeLocationFsxOpenZfsRequest {
    
    const filterSensitiveLog: (obj: DescribeLocationFsxOpenZfsRequest) => any;
}
export interface DescribeLocationFsxOpenZfsResponse {
    
    LocationArn?: string;
    
    LocationUri?: string;
    
    SecurityGroupArns?: string[];
    
    Protocol?: FsxProtocol;
    
    CreationTime?: Date;
}
export declare namespace DescribeLocationFsxOpenZfsResponse {
    
    const filterSensitiveLog: (obj: DescribeLocationFsxOpenZfsResponse) => any;
}
export interface DescribeLocationFsxWindowsRequest {
    
    LocationArn: string | undefined;
}
export declare namespace DescribeLocationFsxWindowsRequest {
    
    const filterSensitiveLog: (obj: DescribeLocationFsxWindowsRequest) => any;
}
export interface DescribeLocationFsxWindowsResponse {
    
    LocationArn?: string;
    
    LocationUri?: string;
    
    SecurityGroupArns?: string[];
    
    CreationTime?: Date;
    
    User?: string;
    
    Domain?: string;
}
export declare namespace DescribeLocationFsxWindowsResponse {
    
    const filterSensitiveLog: (obj: DescribeLocationFsxWindowsResponse) => any;
}
export interface DescribeLocationHdfsRequest {
    
    LocationArn: string | undefined;
}
export declare namespace DescribeLocationHdfsRequest {
    
    const filterSensitiveLog: (obj: DescribeLocationHdfsRequest) => any;
}
export interface DescribeLocationHdfsResponse {
    
    LocationArn?: string;
    
    LocationUri?: string;
    
    NameNodes?: HdfsNameNode[];
    
    BlockSize?: number;
    
    ReplicationFactor?: number;
    
    KmsKeyProviderUri?: string;
    
    QopConfiguration?: QopConfiguration;
    
    AuthenticationType?: HdfsAuthenticationType | string;
    
    SimpleUser?: string;
    
    KerberosPrincipal?: string;
    
    AgentArns?: string[];
    
    CreationTime?: Date;
}
export declare namespace DescribeLocationHdfsResponse {
    
    const filterSensitiveLog: (obj: DescribeLocationHdfsResponse) => any;
}

export interface DescribeLocationNfsRequest {
    
    LocationArn: string | undefined;
}
export declare namespace DescribeLocationNfsRequest {
    
    const filterSensitiveLog: (obj: DescribeLocationNfsRequest) => any;
}

export interface DescribeLocationNfsResponse {
    
    LocationArn?: string;
    
    LocationUri?: string;
    
    OnPremConfig?: OnPremConfig;
    
    MountOptions?: NfsMountOptions;
    
    CreationTime?: Date;
}
export declare namespace DescribeLocationNfsResponse {
    
    const filterSensitiveLog: (obj: DescribeLocationNfsResponse) => any;
}

export interface DescribeLocationObjectStorageRequest {
    
    LocationArn: string | undefined;
}
export declare namespace DescribeLocationObjectStorageRequest {
    
    const filterSensitiveLog: (obj: DescribeLocationObjectStorageRequest) => any;
}

export interface DescribeLocationObjectStorageResponse {
    
    LocationArn?: string;
    
    LocationUri?: string;
    
    AccessKey?: string;
    
    ServerPort?: number;
    
    ServerProtocol?: ObjectStorageServerProtocol | string;
    
    AgentArns?: string[];
    
    CreationTime?: Date;
}
export declare namespace DescribeLocationObjectStorageResponse {
    
    const filterSensitiveLog: (obj: DescribeLocationObjectStorageResponse) => any;
}

export interface DescribeLocationS3Request {
    
    LocationArn: string | undefined;
}
export declare namespace DescribeLocationS3Request {
    
    const filterSensitiveLog: (obj: DescribeLocationS3Request) => any;
}

export interface DescribeLocationS3Response {
    
    LocationArn?: string;
    
    LocationUri?: string;
    
    S3StorageClass?: S3StorageClass | string;
    
    S3Config?: S3Config;
    
    AgentArns?: string[];
    
    CreationTime?: Date;
}
export declare namespace DescribeLocationS3Response {
    
    const filterSensitiveLog: (obj: DescribeLocationS3Response) => any;
}

export interface DescribeLocationSmbRequest {
    
    LocationArn: string | undefined;
}
export declare namespace DescribeLocationSmbRequest {
    
    const filterSensitiveLog: (obj: DescribeLocationSmbRequest) => any;
}

export interface DescribeLocationSmbResponse {
    
    LocationArn?: string;
    
    LocationUri?: string;
    
    AgentArns?: string[];
    
    User?: string;
    
    Domain?: string;
    
    MountOptions?: SmbMountOptions;
    
    CreationTime?: Date;
}
export declare namespace DescribeLocationSmbResponse {
    
    const filterSensitiveLog: (obj: DescribeLocationSmbResponse) => any;
}

export interface DescribeTaskRequest {
    
    TaskArn: string | undefined;
}
export declare namespace DescribeTaskRequest {
    
    const filterSensitiveLog: (obj: DescribeTaskRequest) => any;
}
export declare enum TaskStatus {
    AVAILABLE = "AVAILABLE",
    CREATING = "CREATING",
    QUEUED = "QUEUED",
    RUNNING = "RUNNING",
    UNAVAILABLE = "UNAVAILABLE"
}

export interface DescribeTaskResponse {
    
    TaskArn?: string;
    
    Status?: TaskStatus | string;
    
    Name?: string;
    
    CurrentTaskExecutionArn?: string;
    
    SourceLocationArn?: string;
    
    DestinationLocationArn?: string;
    
    CloudWatchLogGroupArn?: string;
    
    SourceNetworkInterfaceArns?: string[];
    
    DestinationNetworkInterfaceArns?: string[];
    
    Options?: Options;
    
    Excludes?: FilterRule[];
    
    Schedule?: TaskSchedule;
    
    ErrorCode?: string;
    
    ErrorDetail?: string;
    
    CreationTime?: Date;
    
    Includes?: FilterRule[];
}
export declare namespace DescribeTaskResponse {
    
    const filterSensitiveLog: (obj: DescribeTaskResponse) => any;
}

export interface DescribeTaskExecutionRequest {
    
    TaskExecutionArn: string | undefined;
}
export declare namespace DescribeTaskExecutionRequest {
    
    const filterSensitiveLog: (obj: DescribeTaskExecutionRequest) => any;
}
export declare enum PhaseStatus {
    ERROR = "ERROR",
    PENDING = "PENDING",
    SUCCESS = "SUCCESS"
}

export interface TaskExecutionResultDetail {
    
    PrepareDuration?: number;
    
    PrepareStatus?: PhaseStatus | string;
    
    TotalDuration?: number;
    
    TransferDuration?: number;
    
    TransferStatus?: PhaseStatus | string;
    
    VerifyDuration?: number;
    
    VerifyStatus?: PhaseStatus | string;
    
    ErrorCode?: string;
    
    ErrorDetail?: string;
}
export declare namespace TaskExecutionResultDetail {
    
    const filterSensitiveLog: (obj: TaskExecutionResultDetail) => any;
}
export declare enum TaskExecutionStatus {
    ERROR = "ERROR",
    LAUNCHING = "LAUNCHING",
    PREPARING = "PREPARING",
    QUEUED = "QUEUED",
    SUCCESS = "SUCCESS",
    TRANSFERRING = "TRANSFERRING",
    VERIFYING = "VERIFYING"
}

export interface DescribeTaskExecutionResponse {
    
    TaskExecutionArn?: string;
    
    Status?: TaskExecutionStatus | string;
    
    Options?: Options;
    
    Excludes?: FilterRule[];
    
    Includes?: FilterRule[];
    
    StartTime?: Date;
    
    EstimatedFilesToTransfer?: number;
    
    EstimatedBytesToTransfer?: number;
    
    FilesTransferred?: number;
    
    BytesWritten?: number;
    
    BytesTransferred?: number;
    
    Result?: TaskExecutionResultDetail;
}
export declare namespace DescribeTaskExecutionResponse {
    
    const filterSensitiveLog: (obj: DescribeTaskExecutionResponse) => any;
}

export interface ListAgentsRequest {
    
    MaxResults?: number;
    
    NextToken?: string;
}
export declare namespace ListAgentsRequest {
    
    const filterSensitiveLog: (obj: ListAgentsRequest) => any;
}

export interface ListAgentsResponse {
    
    Agents?: AgentListEntry[];
    
    NextToken?: string;
}
export declare namespace ListAgentsResponse {
    
    const filterSensitiveLog: (obj: ListAgentsResponse) => any;
}
export declare enum LocationFilterName {
    CreationTime = "CreationTime",
    LocationType = "LocationType",
    LocationUri = "LocationUri"
}
export declare enum Operator {
    BEGINS_WITH = "BeginsWith",
    CONTAINS = "Contains",
    EQ = "Equals",
    GE = "GreaterThanOrEqual",
    GT = "GreaterThan",
    IN = "In",
    LE = "LessThanOrEqual",
    LT = "LessThan",
    NE = "NotEquals",
    NOT_CONTAINS = "NotContains"
}

export interface LocationFilter {
    
    Name: LocationFilterName | string | undefined;
    
    Values: string[] | undefined;
    
    Operator: Operator | string | undefined;
}
export declare namespace LocationFilter {
    
    const filterSensitiveLog: (obj: LocationFilter) => any;
}

export interface ListLocationsRequest {
    
    MaxResults?: number;
    
    NextToken?: string;
    
    Filters?: LocationFilter[];
}
export declare namespace ListLocationsRequest {
    
    const filterSensitiveLog: (obj: ListLocationsRequest) => any;
}

export interface LocationListEntry {
    
    LocationArn?: string;
    
    LocationUri?: string;
}
export declare namespace LocationListEntry {
    
    const filterSensitiveLog: (obj: LocationListEntry) => any;
}

export interface ListLocationsResponse {
    
    Locations?: LocationListEntry[];
    
    NextToken?: string;
}
export declare namespace ListLocationsResponse {
    
    const filterSensitiveLog: (obj: ListLocationsResponse) => any;
}

export interface ListTagsForResourceRequest {
    
    ResourceArn: string | undefined;
    
    MaxResults?: number;
    
    NextToken?: string;
}
export declare namespace ListTagsForResourceRequest {
    
    const filterSensitiveLog: (obj: ListTagsForResourceRequest) => any;
}

export interface ListTagsForResourceResponse {
    
    Tags?: TagListEntry[];
    
    NextToken?: string;
}
export declare namespace ListTagsForResourceResponse {
    
    const filterSensitiveLog: (obj: ListTagsForResourceResponse) => any;
}

export interface ListTaskExecutionsRequest {
    
    TaskArn?: string;
    
    MaxResults?: number;
    
    NextToken?: string;
}
export declare namespace ListTaskExecutionsRequest {
    
    const filterSensitiveLog: (obj: ListTaskExecutionsRequest) => any;
}

export interface TaskExecutionListEntry {
    
    TaskExecutionArn?: string;
    
    Status?: TaskExecutionStatus | string;
}
export declare namespace TaskExecutionListEntry {
    
    const filterSensitiveLog: (obj: TaskExecutionListEntry) => any;
}

export interface ListTaskExecutionsResponse {
    
    TaskExecutions?: TaskExecutionListEntry[];
    
    NextToken?: string;
}
export declare namespace ListTaskExecutionsResponse {
    
    const filterSensitiveLog: (obj: ListTaskExecutionsResponse) => any;
}
export declare enum TaskFilterName {
    CreationTime = "CreationTime",
    LocationId = "LocationId"
}

export interface TaskFilter {
    
    Name: TaskFilterName | string | undefined;
    
    Values: string[] | undefined;
    
    Operator: Operator | string | undefined;
}
export declare namespace TaskFilter {
    
    const filterSensitiveLog: (obj: TaskFilter) => any;
}

export interface ListTasksRequest {
    
    MaxResults?: number;
    
    NextToken?: string;
    
    Filters?: TaskFilter[];
}
export declare namespace ListTasksRequest {
    
    const filterSensitiveLog: (obj: ListTasksRequest) => any;
}

export interface TaskListEntry {
    
    TaskArn?: string;
    
    Status?: TaskStatus | string;
    
    Name?: string;
}
export declare namespace TaskListEntry {
    
    const filterSensitiveLog: (obj: TaskListEntry) => any;
}

export interface ListTasksResponse {
    
    Tasks?: TaskListEntry[];
    
    NextToken?: string;
}
export declare namespace ListTasksResponse {
    
    const filterSensitiveLog: (obj: ListTasksResponse) => any;
}

export interface StartTaskExecutionRequest {
    
    TaskArn: string | undefined;
    
    OverrideOptions?: Options;
    
    Includes?: FilterRule[];
    
    Excludes?: FilterRule[];
}
export declare namespace StartTaskExecutionRequest {
    
    const filterSensitiveLog: (obj: StartTaskExecutionRequest) => any;
}

export interface StartTaskExecutionResponse {
    
    TaskExecutionArn?: string;
}
export declare namespace StartTaskExecutionResponse {
    
    const filterSensitiveLog: (obj: StartTaskExecutionResponse) => any;
}

export interface TagResourceRequest {
    
    ResourceArn: string | undefined;
    
    Tags: TagListEntry[] | undefined;
}
export declare namespace TagResourceRequest {
    
    const filterSensitiveLog: (obj: TagResourceRequest) => any;
}
export interface TagResourceResponse {
}
export declare namespace TagResourceResponse {
    
    const filterSensitiveLog: (obj: TagResourceResponse) => any;
}

export interface UntagResourceRequest {
    
    ResourceArn: string | undefined;
    
    Keys: string[] | undefined;
}
export declare namespace UntagResourceRequest {
    
    const filterSensitiveLog: (obj: UntagResourceRequest) => any;
}
export interface UntagResourceResponse {
}
export declare namespace UntagResourceResponse {
    
    const filterSensitiveLog: (obj: UntagResourceResponse) => any;
}

export interface UpdateAgentRequest {
    
    AgentArn: string | undefined;
    
    Name?: string;
}
export declare namespace UpdateAgentRequest {
    
    const filterSensitiveLog: (obj: UpdateAgentRequest) => any;
}
export interface UpdateAgentResponse {
}
export declare namespace UpdateAgentResponse {
    
    const filterSensitiveLog: (obj: UpdateAgentResponse) => any;
}
export interface UpdateLocationHdfsRequest {
    
    LocationArn: string | undefined;
    
    Subdirectory?: string;
    
    NameNodes?: HdfsNameNode[];
    
    BlockSize?: number;
    
    ReplicationFactor?: number;
    
    KmsKeyProviderUri?: string;
    
    QopConfiguration?: QopConfiguration;
    
    AuthenticationType?: HdfsAuthenticationType | string;
    
    SimpleUser?: string;
    
    KerberosPrincipal?: string;
    
    KerberosKeytab?: Uint8Array;
    
    KerberosKrb5Conf?: Uint8Array;
    
    AgentArns?: string[];
}
export declare namespace UpdateLocationHdfsRequest {
    
    const filterSensitiveLog: (obj: UpdateLocationHdfsRequest) => any;
}
export interface UpdateLocationHdfsResponse {
}
export declare namespace UpdateLocationHdfsResponse {
    
    const filterSensitiveLog: (obj: UpdateLocationHdfsResponse) => any;
}
export interface UpdateLocationNfsRequest {
    
    LocationArn: string | undefined;
    
    Subdirectory?: string;
    
    OnPremConfig?: OnPremConfig;
    
    MountOptions?: NfsMountOptions;
}
export declare namespace UpdateLocationNfsRequest {
    
    const filterSensitiveLog: (obj: UpdateLocationNfsRequest) => any;
}
export interface UpdateLocationNfsResponse {
}
export declare namespace UpdateLocationNfsResponse {
    
    const filterSensitiveLog: (obj: UpdateLocationNfsResponse) => any;
}
export interface UpdateLocationObjectStorageRequest {
    
    LocationArn: string | undefined;
    
    ServerPort?: number;
    
    ServerProtocol?: ObjectStorageServerProtocol | string;
    
    Subdirectory?: string;
    
    AccessKey?: string;
    
    SecretKey?: string;
    
    AgentArns?: string[];
}
export declare namespace UpdateLocationObjectStorageRequest {
    
    const filterSensitiveLog: (obj: UpdateLocationObjectStorageRequest) => any;
}
export interface UpdateLocationObjectStorageResponse {
}
export declare namespace UpdateLocationObjectStorageResponse {
    
    const filterSensitiveLog: (obj: UpdateLocationObjectStorageResponse) => any;
}
export interface UpdateLocationSmbRequest {
    
    LocationArn: string | undefined;
    
    Subdirectory?: string;
    
    User?: string;
    
    Domain?: string;
    
    Password?: string;
    
    AgentArns?: string[];
    
    MountOptions?: SmbMountOptions;
}
export declare namespace UpdateLocationSmbRequest {
    
    const filterSensitiveLog: (obj: UpdateLocationSmbRequest) => any;
}
export interface UpdateLocationSmbResponse {
}
export declare namespace UpdateLocationSmbResponse {
    
    const filterSensitiveLog: (obj: UpdateLocationSmbResponse) => any;
}

export interface UpdateTaskRequest {
    
    TaskArn: string | undefined;
    
    Options?: Options;
    
    Excludes?: FilterRule[];
    
    Schedule?: TaskSchedule;
    
    Name?: string;
    
    CloudWatchLogGroupArn?: string;
    
    Includes?: FilterRule[];
}
export declare namespace UpdateTaskRequest {
    
    const filterSensitiveLog: (obj: UpdateTaskRequest) => any;
}
export interface UpdateTaskResponse {
}
export declare namespace UpdateTaskResponse {
    
    const filterSensitiveLog: (obj: UpdateTaskResponse) => any;
}
export interface UpdateTaskExecutionRequest {
    
    TaskExecutionArn: string | undefined;
    
    Options: Options | undefined;
}
export declare namespace UpdateTaskExecutionRequest {
    
    const filterSensitiveLog: (obj: UpdateTaskExecutionRequest) => any;
}
export interface UpdateTaskExecutionResponse {
}
export declare namespace UpdateTaskExecutionResponse {
    
    const filterSensitiveLog: (obj: UpdateTaskExecutionResponse) => any;
}
