import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import { CancelTaskExecutionCommandInput, CancelTaskExecutionCommandOutput } from "../commands/CancelTaskExecutionCommand";
import { CreateAgentCommandInput, CreateAgentCommandOutput } from "../commands/CreateAgentCommand";
import { CreateLocationEfsCommandInput, CreateLocationEfsCommandOutput } from "../commands/CreateLocationEfsCommand";
import { CreateLocationFsxLustreCommandInput, CreateLocationFsxLustreCommandOutput } from "../commands/CreateLocationFsxLustreCommand";
import { CreateLocationFsxOpenZfsCommandInput, CreateLocationFsxOpenZfsCommandOutput } from "../commands/CreateLocationFsxOpenZfsCommand";
import { CreateLocationFsxWindowsCommandInput, CreateLocationFsxWindowsCommandOutput } from "../commands/CreateLocationFsxWindowsCommand";
import { CreateLocationHdfsCommandInput, CreateLocationHdfsCommandOutput } from "../commands/CreateLocationHdfsCommand";
import { CreateLocationNfsCommandInput, CreateLocationNfsCommandOutput } from "../commands/CreateLocationNfsCommand";
import { CreateLocationObjectStorageCommandInput, CreateLocationObjectStorageCommandOutput } from "../commands/CreateLocationObjectStorageCommand";
import { CreateLocationS3CommandInput, CreateLocationS3CommandOutput } from "../commands/CreateLocationS3Command";
import { CreateLocationSmbCommandInput, CreateLocationSmbCommandOutput } from "../commands/CreateLocationSmbCommand";
import { CreateTaskCommandInput, CreateTaskCommandOutput } from "../commands/CreateTaskCommand";
import { DeleteAgentCommandInput, DeleteAgentCommandOutput } from "../commands/DeleteAgentCommand";
import { DeleteLocationCommandInput, DeleteLocationCommandOutput } from "../commands/DeleteLocationCommand";
import { DeleteTaskCommandInput, DeleteTaskCommandOutput } from "../commands/DeleteTaskCommand";
import { DescribeAgentCommandInput, DescribeAgentCommandOutput } from "../commands/DescribeAgentCommand";
import { DescribeLocationEfsCommandInput, DescribeLocationEfsCommandOutput } from "../commands/DescribeLocationEfsCommand";
import { DescribeLocationFsxLustreCommandInput, DescribeLocationFsxLustreCommandOutput } from "../commands/DescribeLocationFsxLustreCommand";
import { DescribeLocationFsxOpenZfsCommandInput, DescribeLocationFsxOpenZfsCommandOutput } from "../commands/DescribeLocationFsxOpenZfsCommand";
import { DescribeLocationFsxWindowsCommandInput, DescribeLocationFsxWindowsCommandOutput } from "../commands/DescribeLocationFsxWindowsCommand";
import { DescribeLocationHdfsCommandInput, DescribeLocationHdfsCommandOutput } from "../commands/DescribeLocationHdfsCommand";
import { DescribeLocationNfsCommandInput, DescribeLocationNfsCommandOutput } from "../commands/DescribeLocationNfsCommand";
import { DescribeLocationObjectStorageCommandInput, DescribeLocationObjectStorageCommandOutput } from "../commands/DescribeLocationObjectStorageCommand";
import { DescribeLocationS3CommandInput, DescribeLocationS3CommandOutput } from "../commands/DescribeLocationS3Command";
import { DescribeLocationSmbCommandInput, DescribeLocationSmbCommandOutput } from "../commands/DescribeLocationSmbCommand";
import { DescribeTaskCommandInput, DescribeTaskCommandOutput } from "../commands/DescribeTaskCommand";
import { DescribeTaskExecutionCommandInput, DescribeTaskExecutionCommandOutput } from "../commands/DescribeTaskExecutionCommand";
import { ListAgentsCommandInput, ListAgentsCommandOutput } from "../commands/ListAgentsCommand";
import { ListLocationsCommandInput, ListLocationsCommandOutput } from "../commands/ListLocationsCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { ListTaskExecutionsCommandInput, ListTaskExecutionsCommandOutput } from "../commands/ListTaskExecutionsCommand";
import { ListTasksCommandInput, ListTasksCommandOutput } from "../commands/ListTasksCommand";
import { StartTaskExecutionCommandInput, StartTaskExecutionCommandOutput } from "../commands/StartTaskExecutionCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateAgentCommandInput, UpdateAgentCommandOutput } from "../commands/UpdateAgentCommand";
import { UpdateLocationHdfsCommandInput, UpdateLocationHdfsCommandOutput } from "../commands/UpdateLocationHdfsCommand";
import { UpdateLocationNfsCommandInput, UpdateLocationNfsCommandOutput } from "../commands/UpdateLocationNfsCommand";
import { UpdateLocationObjectStorageCommandInput, UpdateLocationObjectStorageCommandOutput } from "../commands/UpdateLocationObjectStorageCommand";
import { UpdateLocationSmbCommandInput, UpdateLocationSmbCommandOutput } from "../commands/UpdateLocationSmbCommand";
import { UpdateTaskCommandInput, UpdateTaskCommandOutput } from "../commands/UpdateTaskCommand";
import { UpdateTaskExecutionCommandInput, UpdateTaskExecutionCommandOutput } from "../commands/UpdateTaskExecutionCommand";
export declare const serializeAws_json1_1CancelTaskExecutionCommand: (input: CancelTaskExecutionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateAgentCommand: (input: CreateAgentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateLocationEfsCommand: (input: CreateLocationEfsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateLocationFsxLustreCommand: (input: CreateLocationFsxLustreCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateLocationFsxOpenZfsCommand: (input: CreateLocationFsxOpenZfsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateLocationFsxWindowsCommand: (input: CreateLocationFsxWindowsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateLocationHdfsCommand: (input: CreateLocationHdfsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateLocationNfsCommand: (input: CreateLocationNfsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateLocationObjectStorageCommand: (input: CreateLocationObjectStorageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateLocationS3Command: (input: CreateLocationS3CommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateLocationSmbCommand: (input: CreateLocationSmbCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateTaskCommand: (input: CreateTaskCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteAgentCommand: (input: DeleteAgentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteLocationCommand: (input: DeleteLocationCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteTaskCommand: (input: DeleteTaskCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeAgentCommand: (input: DescribeAgentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeLocationEfsCommand: (input: DescribeLocationEfsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeLocationFsxLustreCommand: (input: DescribeLocationFsxLustreCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeLocationFsxOpenZfsCommand: (input: DescribeLocationFsxOpenZfsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeLocationFsxWindowsCommand: (input: DescribeLocationFsxWindowsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeLocationHdfsCommand: (input: DescribeLocationHdfsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeLocationNfsCommand: (input: DescribeLocationNfsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeLocationObjectStorageCommand: (input: DescribeLocationObjectStorageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeLocationS3Command: (input: DescribeLocationS3CommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeLocationSmbCommand: (input: DescribeLocationSmbCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeTaskCommand: (input: DescribeTaskCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeTaskExecutionCommand: (input: DescribeTaskExecutionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListAgentsCommand: (input: ListAgentsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListLocationsCommand: (input: ListLocationsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListTaskExecutionsCommand: (input: ListTaskExecutionsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListTasksCommand: (input: ListTasksCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1StartTaskExecutionCommand: (input: StartTaskExecutionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateAgentCommand: (input: UpdateAgentCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateLocationHdfsCommand: (input: UpdateLocationHdfsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateLocationNfsCommand: (input: UpdateLocationNfsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateLocationObjectStorageCommand: (input: UpdateLocationObjectStorageCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateLocationSmbCommand: (input: UpdateLocationSmbCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateTaskCommand: (input: UpdateTaskCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateTaskExecutionCommand: (input: UpdateTaskExecutionCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const deserializeAws_json1_1CancelTaskExecutionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CancelTaskExecutionCommandOutput>;
export declare const deserializeAws_json1_1CreateAgentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateAgentCommandOutput>;
export declare const deserializeAws_json1_1CreateLocationEfsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateLocationEfsCommandOutput>;
export declare const deserializeAws_json1_1CreateLocationFsxLustreCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateLocationFsxLustreCommandOutput>;
export declare const deserializeAws_json1_1CreateLocationFsxOpenZfsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateLocationFsxOpenZfsCommandOutput>;
export declare const deserializeAws_json1_1CreateLocationFsxWindowsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateLocationFsxWindowsCommandOutput>;
export declare const deserializeAws_json1_1CreateLocationHdfsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateLocationHdfsCommandOutput>;
export declare const deserializeAws_json1_1CreateLocationNfsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateLocationNfsCommandOutput>;
export declare const deserializeAws_json1_1CreateLocationObjectStorageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateLocationObjectStorageCommandOutput>;
export declare const deserializeAws_json1_1CreateLocationS3Command: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateLocationS3CommandOutput>;
export declare const deserializeAws_json1_1CreateLocationSmbCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateLocationSmbCommandOutput>;
export declare const deserializeAws_json1_1CreateTaskCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateTaskCommandOutput>;
export declare const deserializeAws_json1_1DeleteAgentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteAgentCommandOutput>;
export declare const deserializeAws_json1_1DeleteLocationCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteLocationCommandOutput>;
export declare const deserializeAws_json1_1DeleteTaskCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteTaskCommandOutput>;
export declare const deserializeAws_json1_1DescribeAgentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeAgentCommandOutput>;
export declare const deserializeAws_json1_1DescribeLocationEfsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeLocationEfsCommandOutput>;
export declare const deserializeAws_json1_1DescribeLocationFsxLustreCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeLocationFsxLustreCommandOutput>;
export declare const deserializeAws_json1_1DescribeLocationFsxOpenZfsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeLocationFsxOpenZfsCommandOutput>;
export declare const deserializeAws_json1_1DescribeLocationFsxWindowsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeLocationFsxWindowsCommandOutput>;
export declare const deserializeAws_json1_1DescribeLocationHdfsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeLocationHdfsCommandOutput>;
export declare const deserializeAws_json1_1DescribeLocationNfsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeLocationNfsCommandOutput>;
export declare const deserializeAws_json1_1DescribeLocationObjectStorageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeLocationObjectStorageCommandOutput>;
export declare const deserializeAws_json1_1DescribeLocationS3Command: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeLocationS3CommandOutput>;
export declare const deserializeAws_json1_1DescribeLocationSmbCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeLocationSmbCommandOutput>;
export declare const deserializeAws_json1_1DescribeTaskCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeTaskCommandOutput>;
export declare const deserializeAws_json1_1DescribeTaskExecutionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeTaskExecutionCommandOutput>;
export declare const deserializeAws_json1_1ListAgentsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListAgentsCommandOutput>;
export declare const deserializeAws_json1_1ListLocationsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListLocationsCommandOutput>;
export declare const deserializeAws_json1_1ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
export declare const deserializeAws_json1_1ListTaskExecutionsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTaskExecutionsCommandOutput>;
export declare const deserializeAws_json1_1ListTasksCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTasksCommandOutput>;
export declare const deserializeAws_json1_1StartTaskExecutionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<StartTaskExecutionCommandOutput>;
export declare const deserializeAws_json1_1TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
export declare const deserializeAws_json1_1UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
export declare const deserializeAws_json1_1UpdateAgentCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateAgentCommandOutput>;
export declare const deserializeAws_json1_1UpdateLocationHdfsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateLocationHdfsCommandOutput>;
export declare const deserializeAws_json1_1UpdateLocationNfsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateLocationNfsCommandOutput>;
export declare const deserializeAws_json1_1UpdateLocationObjectStorageCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateLocationObjectStorageCommandOutput>;
export declare const deserializeAws_json1_1UpdateLocationSmbCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateLocationSmbCommandOutput>;
export declare const deserializeAws_json1_1UpdateTaskCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateTaskCommandOutput>;
export declare const deserializeAws_json1_1UpdateTaskExecutionCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateTaskExecutionCommandOutput>;
